
addBook('bk/biometricx', 'book_splash', "About this CAST e-book");

addChapter('bk/general', 'ch_preface', "Preface", null, 'v_ch_preface');
addSection('bk/generalx', 'sec_aboutCast', "About CAST");
addPage_2('en/aboutCast', 'aboutCast1', "What is CAST?", 'static');
addPage_2('en/aboutCast', 'aboutCast2', "Structure and navigation", 'static');
addPage_2('en/aboutCast', 'aboutCast3', "Copyright and licence", 'static');
addPage_2('en/aboutCast', 'aboutCast4', "Acknowledgements", 'static');
addPage_2('en/aboutCast', 'aboutCast5', "About the author", 'static');
addSection('bk/generalx', 'sec_otherInfo', "Other Information");
addPage_2('en/otherInfo', 'otherInfo1', "Browsers and Java", 'static');
addPage_2('en/otherInfo', 'otherInfo2', "Printing", 'static');
addPage_2('en/otherInfo', 'otherInfo3', "Recent changes to CAST", 'static');

addChapter('bk/generalx', 'ch_intro', "Introduction: About Data");
addSection('bk/biometricx', 'sec_structures', "Standard data structures");
addPage_2('en/structures', 'l_structures_b1', "Data structures", 'static');
addPage_2('en/structures', 'l_structures2', "Variables and individuals", 'interact');
addPage_2('en/structures', 'l_structures_b3', "Types of variable", 'interact');
addPage_2('en/structures', 'l_structures4', "Categorical variables and groups", 'interact');
addPage_2('en/structures', 'l_structures5', "Meaningful variables", 'interact');
addPage_2('en/structures', 'l_structures_b6', "Time-ordered data", 'static');
addPage_2('en/structures', 'l_structures_b7', "Multi-level data (advanced)", 'interact');
addPage_2('en/structures', 'l_structures_b8', "Analysing data at different levels", 'interact');
addSection('bk/generalx', 'sec_variation', "Variation");
addPage_2('en/variation', 'l_variation1', "Signal and noise", 'interact');
addPage_2('en/variation', 'l_variation2', "Natural variability", 'interact');
addPage_2('en/variation', 'l_variation3', "Signal and noise in experiments", 'interact');
addPage_2('en/variation', 'l_variation4', "Variability in survey data", 'interact');
addPage_2('en/variation', 'l_variation5', "Explained and unexplained variation", 'static');
addPage_2('en/variation', 'l_variation6', "Predicting future values", 'static');

addChapter('bk/generalx', 'ch_univar', "One Numerical Variable");
addSection('bk/biometricx', 'sec_valueDisplay', "Graphical display of values");
addPage_2('en/valueDisplay', 'l_valueDisplay_b1', "The basic dot plot", 'interact');
addPage_2('en/valueDisplay', 'l_valueDisplay_b2', "Jittered and stacked dot plots", 'interact');
addPage_2('en/valueDisplay', 'l_valueDisplay3', "Crosses or digits", 'interact');
addPage_2('en/valueDisplay', 'l_valueDisplay_b4', "Basic stem and leaf plot", 'interact');
addPage_2('en/valueDisplay', 'l_valueDisplay5', "Splitting the stems", 'interact');
addPage_2('en/valueDisplay', 'l_valueDisplay6', "Examples with split stems", 'interact');
addPage_2('en/valueDisplay', 'l_valueDisplay7', "More about stems and leaves", 'interact');
addPage_2('en/valueDisplay', 'l_valueDisplay8', "Drawing a stem and leaf plot", 'interact');
addSection('bk/biometricx', 'sec_displayInterp', "Understanding distributions");
addPage_2('en/displayInterp', 'l_displayInterp1', "Outliers", 'static');
addPage_2('en/displayInterp', 'l_displayInterp2', "Clusters", 'interact');
addPage_2('en/displayInterp', 'l_displayInterp_b3', "Names of individuals", 'interact');
addPage_2('en/displayInterp', 'l_displayInterp4', "Distinguishing known groups", 'interact');
addPage_2('en/displayInterp', 'l_displayInterp5', "Back-to-back stem and leaf plots", 'interact');
addPage_2('en/displayInterp', 'l_displayInterp6', "Danger of overinterpretation", 'interact');
addSection('bk/biometricx', 'sec_density', "Histograms and density");
addPage_2('en/density', 'l_density1', "Density of values", 'interact');
addPage_2('en/density', 'l_density2', "Histogram with equal class widths", 'interact');
addPage_2('en/density', 'l_density3', "Choice of classes", 'interact');
addPage_2('en/density', 'l_density_b4', "Histograms of small data sets", 'interact');
addPage_2('en/density', 'l_density5', "Relative frequency and area", 'interact');
addPage_2('en/density', 'l_density_b6', "Comparing groups", 'interact');
addPage_2('en/density', 'l_density_b7', "Histograms with varying class widths", 'interact');
addPage_2('en/density', 'l_density8', "Mixed class widths (cont)", 'interact');
addPage_2('en/density', 'l_density9', "Frequency polygons", 'interact');
addPage_2('en/density', 'l_density10', "Kernel density estimates", 'interact');
addSection('bk/generalx', 'sec_boxPlot', "Median, quartiles &amp; box plots");
addPage_2('en/boxPlot', 'l_boxPlot1', "The need to summarise", 'static');
addPage_2('en/boxPlot', 'l_boxPlot2', "Basic box plot", 'interact');
addPage_2('en/boxPlot', 'l_boxPlot3', "More about box plot shape", 'interact');
addPage_2('en/boxPlot', 'l_boxPlot4', "Displaying outliers", 'interact');
addPage_2('en/boxPlot', 'l_boxPlot5', "Clusters", 'interact');
addPage_2('en/boxPlot', 'l_boxPlot6', "Comparison of groups", 'interact');
addSection('bk/biometricx', 'sec_centerSpread', "Describing centre &amp; spread");
addPage_2('en/centerSpread', 'l_centerSpread_b1', "Ideas of centre and spread", 'interact');
addPage_2('en/centerSpread', 'l_centerSpread_b2', "Simple measures of centre and spread", 'interact');
addPage_2('en/centerSpread', 'l_centerSpread_b3', "Sample mean", 'interact');
addPage_2('en/centerSpread', 'l_centerSpread4', "Properties of median and mean", 'interact');
addPage_2('en/centerSpread', 'l_centerSpread5', "Standard deviation", 'interact');
addPage_2('en/centerSpread', 'l_centerSpread6', "Rules of thumb for standard deviation", 'static');
addPage_2('en/centerSpread', 'l_centerSpread7', "Understanding means and st devns", 'interact');
addPage_2('en/centerSpread', 'l_centerSpread8', "Warnings about mean and standard devn", 'static');
addSection('bk/generalx', 'sec_moreVariation', "More about variation (optional)");
addPage_2('en/moreVariation', 'l_moreVariation1', "Effect of outliers", 'interact');
addPage_2('en/moreVariation', 'l_moreVariation2', "Standard deviation of grouped data", 'interact');
addPage_2('en/moreVariation', 'l_moreVariation3', "Explained variation and predictions", 'interact');
addPage_2('en/moreVariation', 'l_moreVariation4', "Root mean squared error", 'interact');
addPage_2('en/moreVariation', 'l_moreVariation5', "Graphical interpretation of st devn", 'interact');
addSection('bk/generalx', 'sec_percentile', "Proportions and percentiles");
addPage_2('en/percentile', 'l_percentile1', "Cumulative proportions", 'interact');
addPage_2('en/percentile', 'l_percentile2', "Graph of cumulative proportions", 'interact');
addPage_2('en/percentile', 'l_percentile3', "Percentiles", 'interact');
addPage_2('en/percentile', 'l_percentile4', "Displaying percentiles", 'interact');
addPage_2('en/percentile', 'l_percentile5', "Comparing groups", 'interact');
addPage_2('en/percentile', 'l_percentile6', "Better definition of percentiles", 'interact');
addSection('bk/biometricx', 'sec_transform', "Transformations");
addPage_2('en/transform', 'l_transform_b1', "Linear transformations", 'interact');
addPage_2('en/transform', 'l_transform2', "Log transformations", 'interact');
addPage_2('en/transform', 'l_transform3', "When to use log transform?", 'interact');
addPage_2('en/transform', 'l_transform4', "Power transformations", 'interact');
addPage_2('en/transform', 'l_transform5', "Effect of transformations on displays", 'interact');
addSection('bk/generalx', 'sec_counts', "Discrete data (counts)");
addPage_2('en/counts', 'l_counts1', "Dot plots for counts", 'interact');
addPage_2('en/counts', 'l_counts2', "Histograms for counts", 'interact');
addPage_2('en/counts', 'l_counts3', "Bar charts", 'interact');

addChapter('bk/generalx', 'ch_bivar', "Two Numerical Variables");
addSection('bk/generalx', 'sec_scatterplot', "Scatterplots");
addPage_2('en/scatterplot', 'l_scatterplot1', "More than one variable", 'interact');
addPage_2('en/scatterplot', 'l_scatterplot2', "Scatterplots", 'interact');
addPage_2('en/scatterplot', 'l_scatterplot3', "Limitations of univariate displays", 'interact');
addPage_2('en/scatterplot', 'l_scatterplot4', "Marginal distributions", 'interact');
addPage_2('en/scatterplot', 'l_scatterplot5', "Time series", 'interact');
addSection('bk/generalx', 'sec_relationship', "Understanding relationships");
addPage_2('en/relationship', 'l_relationship1', "Strength of a relationship", 'interact');
addPage_2('en/relationship', 'l_relationship2', "Outliers", 'interact');
addPage_2('en/relationship', 'l_relationship3', "Clusters", 'interact');
addPage_2('en/relationship', 'l_relationship4', "Dangers of over-interpretation", 'interact');
addSection('bk/biometricx', 'sec_correlation', "Correlation");
addPage_2('en/correlation', 'l_correlation_b1', "Relationship strength and units of X and Y", 'interact');
addPage_2('en/correlation', 'l_correlation2', "Units-free variables (z-scores)", 'interact');
addPage_2('en/correlation', 'l_correlation3', "Correlation coefficient and its properties", 'interact');
addPage_2('en/correlation', 'l_correlation4', "Scatterplots and the value of r", 'interact');
addPage_2('en/correlation', 'l_correlation5', "Nonlinear relationships", 'interact');
addPage_2('en/correlation', 'l_correlation6', "R does not tell the whole story", 'interact');
addSection('bk/biometricx', 'sec_leastSqrs', "Least squares");
addPage_2('en/leastSqrs', 'l_leastSqrs_b1', "Predicting Y from X", 'interact');
addPage_2('en/leastSqrs', 'l_leastSqrs2', "Slope and intercept of straight line", 'interact');
addPage_2('en/leastSqrs', 'l_leastSqrs3', "Predicting Y from linear model", 'interact');
addPage_2('en/leastSqrs', 'l_leastSqrs4', "Fitted values and residuals", 'interact');
addPage_2('en/leastSqrs', 'l_leastSqrs5', "Target of small residuals", 'interact');
addPage_2('en/leastSqrs', 'l_leastSqrs6', "Least squares", 'interact');
addPage_2('en/leastSqrs', 'l_leastSqrs7', "Outliers", 'interact');
addPage_2('en/leastSqrs', 'l_leastSqrs8', "Residual plots", 'interact');
addPage_2('en/leastSqrs', 'l_leastSqrs9', "Predicting Y and predicting X", 'interact');
addSection('bk/generalx', 'sec_curvature', "Nonlinear relationships");
addPage_2('en/curvature', 'l_curvature1', "Transformations and correlation", 'interact');
addPage_2('en/curvature', 'l_curvature2', "Transformations and models", 'interact');
addPage_2('en/curvature', 'l_curvature3', "Quadratic models", 'interact');
addPage_2('en/curvature', 'l_curvature4', "Quadratic models (cont)", 'interact');
addPage_2('en/curvature', 'l_curvature5', "Dangers of extrapolation", 'interact');

addChapter('bk/biometricx', 'ch_timeSeries', "Time Series");
addSection('bk/biometricx', 'sec_timePlot', "Time series plots");
addPage_2('en/timePlot', 'l_timePlot_b1', "Time series plots", 'interact');
addPage_2('en/timePlot', 'l_timePlot2', "Time series: trend", 'interact');
addPage_2('en/timePlot', 'l_timePlot_b3', "Time series: seasonal pattern", 'interact');
addPage_2('en/timePlot', 'l_timePlot_b4', "Time series: autocorrelation", 'interact');
addPage_2('en/timePlot', 'l_timePlot_b5', "Time series: random fluctuations", 'interact');
addPage_2('en/timePlot', 'l_timePlot6', "Multiple time series", 'interact');
addSection('bk/generalx', 'sec_smoothing', "Smoothing");
addPage_2('en/smoothing', 'l_smoothing1', "Moving averages", 'interact');
addPage_2('en/smoothing', 'l_smoothing2', "Robust smoothing with medians", 'interact');
addPage_2('en/smoothing', 'l_smoothing3', "Running medians then means", 'interact');
addPage_2('en/smoothing', 'l_smoothing4', "Exponential smoothing", 'interact');
addPage_2('en/smoothing', 'l_smoothing5', "Lowess smoothing of time series", 'interact');
addPage_2('en/smoothing', 'l_smoothing6', "Lowess smoothing of scatterplots", 'interact');
addSection('bk/generalx', 'sec_trend', "Long-term trend");
addPage_2('en/trend', 'l_trend1', "Linear trend", 'interact');
addPage_2('en/trend', 'l_trend2', "Quadratic trend", 'interact');
addPage_2('en/trend', 'l_trend3', "Forecasting", 'interact');
addPage_2('en/trend', 'l_trend4', "Polynomial trend", 'interact');
addPage_2('en/trend', 'l_trend5', "Detrending a time series", 'interact');

addChapter('bk/generalx', 'ch_cat', "Categorical Variables");
addSection('bk/biometricx', 'sec_freqTable', "Frequency tables");
addPage_2('en/freqTable', 'l_freqTable1', "Frequency tables", 'interact');
addPage_2('en/freqTable', 'l_freqTable_b2', "Proportions and percentages", 'interact');
addPage_2('en/freqTable', 'l_freqTable3', "Changes to the categories", 'interact');
addSection('bk/biometricx', 'sec_univarCat', "Bar and pie charts");
addPage_2('en/univarCat', 'l_univarCat_b1', "Bar charts", 'interact');
addPage_2('en/univarCat', 'l_univarCat2', "Sorting categories", 'interact');
addPage_2('en/univarCat', 'l_univarCat3', "Pareto diagrams", 'interact');
addPage_2('en/univarCat', 'l_univarCat_b4', "Stacked bar charts", 'interact');
addPage_2('en/univarCat', 'l_univarCat_b5', "Pie charts", 'interact');
addPage_2('en/univarCat', 'l_univarCat_b6', "Comparison of bar and pie charts", 'interact');
addPage_2('en/univarCat', 'l_univarCat7', "Bar charts for quantities", 'interact');
addPage_2('en/univarCat', 'l_univarCat_b8', "Pie charts for quantities", 'interact');
addPage_2('en/univarCat', 'l_univarCat_b9', "Chartjunk and misleading diagrams", 'static');
addSection('bk/biometricx', 'sec_groupedCat', "Comparing groups");
addPage_2('en/groupedCat', 'l_groupedCat1', "Contingency tables", 'interact');
addPage_2('en/groupedCat', 'l_groupedCat_b2', "Contingency table examples", 'static');
addPage_2('en/groupedCat', 'l_groupedCat3', "Proportions within groups", 'interact');
addPage_2('en/groupedCat', 'l_groupedCat_b4', "Bar charts using proportions", 'interact');
addPage_2('en/groupedCat', 'l_groupedCat_b5', "Stacked bar charts", 'interact');
addPage_2('en/groupedCat', 'l_groupedCat6', "Time series of categorical distns", 'interact');
addPage_2('en/groupedCat', 'l_groupedCat7', "Binary variables", 'interact');
addSection('bk/generalx', 'sec_bivarCat', "Bivariate categorical distributions");
addPage_2('en/bivarCat', 'l_bivarCat1', "3-dimensional bar charts", 'interact');
addPage_2('en/bivarCat', 'l_bivarCat2', "Chartjunk", 'static');
addPage_2('en/bivarCat', 'l_bivarCat3', "3-dimensional bar charts", 'interact');
addPage_2('en/bivarCat', 'l_bivarCat4', "Marginal distributions", 'interact');
addPage_2('en/bivarCat', 'l_bivarCat5', "Conditional distributions", 'interact');
addPage_2('en/bivarCat', 'l_bivarCat6', "More about conditional distributions", 'interact');
addPage_2('en/bivarCat', 'l_bivarCat7', "Conditional vs marginal distns", 'interact');
addSection('bk/generalx', 'sec_tableDisplay', "Presenting data in tables");
addPage_2('en/tableDisplay', 'l_tableDisplay1', "Gridlines and white space", 'static');
addPage_2('en/tableDisplay', 'l_tableDisplay2', "Layout and annotation", 'static');
addPage_2('en/tableDisplay', 'l_tableDisplay3', "Significant digits and data noise", 'interact');
addPage_2('en/tableDisplay', 'l_tableDisplay4', "Meaningful variables", 'interact');
addPage_2('en/tableDisplay', 'l_tableDisplay5', "Reordering rows", 'interact');
addSection('bk/biometricx', 'sec_logistic', "Logistic regression");
addPage_2('en/logistic', 'l_logistic1', "Categorical responses", 'interact');
addPage_2('en/logistic', 'l_logistic_b2', "Fitted values and predictions", 'interact');
addPage_2('en/logistic', 'l_logistic3', "Logistic curve", 'interact');
addPage_2('en/logistic', 'l_logistic_b4', "Obtaining a good fit", 'interact');

addChapter('bk/generalx', 'ch_multivar', "Multivariate Data");
addSection('bk/biometricx', 'sec_multivariate', "Displaying multivariate data");
addPage_2('en/multivariate', 'l_multivariate_b1', "Representing a third variable", 'interact');
addPage_2('en/multivariate', 'l_multivariate2', "Rotating 3D scatterplots", 'interact');
addPage_2('en/multivariate', 'l_multivariate3', "Scatterplot matrix and brushing", 'interact');
addPage_2('en/multivariate', 'l_multivariate4', "Brushing example", 'interact');
addPage_2('en/multivariate', 'l_multivariate5', "Slicing", 'interact');
addSection('bk/generalx', 'sec_regnGroups', "Groups and regression");
addPage_2('en/regnGroups', 'l_regnGroups1', "Additional variables in regression", 'interact');
addPage_2('en/regnGroups', 'l_regnGroups2', "Displaying groups", 'interact');
addPage_2('en/regnGroups', 'l_regnGroups3', "Regression with grouped data", 'interact');
addPage_2('en/regnGroups', 'l_regnGroups4', "Parallel regression lines", 'interact');
addPage_2('en/regnGroups', 'l_regnGroups5', "Transformed variables and groups", 'interact');
addPage_2('en/regnGroups', 'l_regnGroups6', "Grouping with a numerical variable", 'interact');
addPage_2('en/regnGroups', 'l_regnGroups7', "Scatterplot matrix with groups", 'interact');
addSection('bk/generalx', 'sec_multiRegn', "Multiple regression");
addPage_2('en/multiRegn', 'l_multiRegn1', "More than one explanatory variable", 'interact');
addPage_2('en/multiRegn', 'l_multiRegn2', "Multiple regression equation", 'interact');
addPage_2('en/multiRegn', 'l_multiRegn3', "Interpreting coefficients", 'interact');
addPage_2('en/multiRegn', 'l_multiRegn4', "Scatterplot of three variables", 'interact');
addPage_2('en/multiRegn', 'l_multiRegn5', "Displayng the linear equation for Y vs X and Z", 'interact');
addPage_2('en/multiRegn', 'l_multiRegn6', "Fitted values and residuals", 'interact');
addPage_2('en/multiRegn', 'l_multiRegn7', "Least squares estimation", 'interact');
addSection('bk/biometricx', 'sec_lurking', "Marginal relationships");
addPage_2('en/lurking', 'l_lurking_b1', "Misleading marginal correlation", 'interact');
addPage_2('en/lurking', 'l_lurking_b2', "Misleading marginal difference in means", 'interact');
addPage_2('en/lurking', 'l_lurking3', "Simpsons paradox", 'interact');
addPage_2('en/lurking', 'l_lurking4', "Explanation of Simpsons paradox", 'interact');

addChapter('bk/generalx', 'ch_sample', "Sampling and Variability");
addSection('bk/biometricx', 'sec_popSamp', "Finite populations");
addPage_2('en/popSamp', 'l_popSamp_b1', "Sampling from a population", 'interact');
addPage_2('en/popSamp', 'l_popSamp2', "Variability in a sample", 'interact');
addPage_2('en/popSamp', 'l_popSamp_b3', "Sampling error", 'interact');
addPage_2('en/popSamp', 'l_popSamp_b4', "Sampling error and sample size", 'interact');
addPage_2('en/popSamp', 'l_popSamp_b5', "Sampling with and without replacement", 'interact');
addPage_2('en/popSamp', 'l_popSamp6', "Generating random numbers", 'interact');
addPage_2('en/popSamp', 'l_popSamp7', "Selecting a random sample", 'interact');
addSection('bk/biometricx', 'sec_infPopn', "Samples from distributions");
addPage_2('en/infPopn', 'l_infPopn_b1', "Data as representatives", 'static');
addPage_2('en/infPopn', 'l_infPopn_b2', "Randomness of data", 'interact');
addPage_2('en/infPopn', 'l_infPopn3', "Infinite populations", 'interact');
addPage_2('en/infPopn', 'l_infPopn4', "Information from a single sample", 'interact');
addSection('bk/biometricx', 'sec_probDensity', "Probability &amp; probability density");
addPage_2('en/probDensity', 'l_probDensity1', "Finite populations", 'interact');
addPage_2('en/probDensity', 'l_probDensity_b2', "Probabilities and population proportions", 'interact');
addPage_2('en/probDensity', 'l_probDensity_b3', "Law of large numbers", 'interact');
addPage_2('en/probDensity', 'l_probDensity4', "Bar charts of discrete probabilities &mdash; discrete", 'interact');
addPage_2('en/probDensity', 'l_probDensity5', "Probability density functions", 'interact');
addPage_2('en/probDensity', 'l_probDensity6', "Normal distributions", 'interact');
addPage_2('en/probDensity', 'l_probDensity7', "Fitting a normal distribution to data", 'interact');
addPage_2('en/probDensity', 'l_probDensity8', "Probability and area under the pdf", 'interact');
addSection('bk/biometricx', 'sec_probSim', "Simulation (optional)");
addPage_2('en/probSim', 'l_probSim1', "Probability models and simulation", 'interact');
addPage_2('en/probSim', 'l_probSim2', "Simulation: Will the best team win?", 'interact');
addPage_2('en/probSim', 'l_probSim3', "Simulation: Will the best team win?", 'interact');
addPage_2('en/probSim', 'l_probSim_b4', "Assessing unusual features in data", 'interact');
addPage_2('en/probSim', 'l_probSim5', "Random numbers", 'interact');
addPage_2('en/probSim', 'l_probSim6', "Generating categorical values", 'interact');
addPage_2('en/probSim', 'l_probSim7', "Generating numerical values", 'interact');
addSection('bk/biometricx', 'sec_randomMean', "Distribution of sample mean");
addPage_2('en/randomMean', 'l_randomMean_b1', "Parameters and statistics", 'interact');
addPage_2('en/randomMean', 'l_randomMean2', "Distribution of sample mean", 'interact');
addPage_2('en/randomMean', 'l_randomMean3', "Means from normal populations", 'interact');
addPage_2('en/randomMean', 'l_randomMean4', "Large-sample normality of means", 'interact');
addPage_2('en/randomMean', 'l_randomMean_b5', "Distribution of mean from a sample", 'static');
addPage_2('en/randomMean', 'l_randomMean_b6', "Requirement of independence", 'interact');
addPage_2('en/randomMean', 'l_randomMean7', "Sampling from finite populations", 'interact');
addSection('bk/biometricx', 'sec_normalDistn', "Normal distributions");
addPage_2('en/normalDistn', 'l_normalDistn1', "Importance of normal distributions", 'interact');
addPage_2('en/normalDistn', 'l_normalDistn2', "Shape of normal distributions", 'interact');
addPage_2('en/normalDistn', 'l_normalDistn3', "Sketching a normal distribution", 'interact');
addPage_2('en/normalDistn', 'l_normalDistn4', "Some normal probabilities", 'interact');
addPage_2('en/normalDistn', 'l_normalDistn5', "Z-scores", 'interact');
addPage_2('en/normalDistn', 'l_normalDistn6', "Probabilities from z-scores", 'interact');
addPage_2('en/normalDistn', 'l_normalDistn_b7', "Finding other normal probabilities", 'interact');
addPage_2('en/normalDistn', 'l_normalDistn8', "Finding normal quantiles", 'interact');
addPage_2('en/normalDistn', 'l_normalDistn9', "Normal probability plots", 'interact');
addSection('bk/biometricx', 'sec_randomPropn', "Distribution of sample proportion");
addPage_2('en/randomPropn', 'l_randomPropn1', "Distributions of counts and proportions", 'interact');
addPage_2('en/randomPropn', 'l_randomPropn2', "Family of binomial distributions", 'interact');
addPage_2('en/randomPropn', 'l_randomPropn_b3', "Binomial probability examples", 'static');
addPage_2('en/randomPropn', 'l_randomPropn4', "Normal approximation to binomial", 'interact');
addPage_2('en/randomPropn', 'l_randomPropn_b5', "Normal approximation examples", 'static');
addSection('bk/biometricx', 'sec_sampPractice', "Sampling in practice");
addPage_2('en/sampPractice', 'l_sampPractice_b1', "Stratified sampling", 'interact');
addPage_2('en/sampPractice', 'l_sampPractice_b2', "Strata with different variability", 'interact');
addPage_2('en/sampPractice', 'l_sampPractice3', "Cluster sampling", 'interact');
addPage_2('en/sampPractice', 'l_sampPractice4', "Loss of accuracy with cluster sampling", 'interact');
addPage_2('en/sampPractice', 'l_sampPractice5', "Two-stage sampling", 'interact');
addPage_2('en/sampPractice', 'l_sampPractice6', "Cost and accuracy of two-stage sampling", 'interact');

addChapter('bk/generalx', 'ch_expDesign', "Designed Experiments");
addSection('bk/biometricx', 'sec_causal', "Association &amp; causal relationships");
addPage_2('en/causal', 'l_causal1', "Causal and non-causal relationships", 'static');
addPage_2('en/causal', 'l_causal_b2', "Observational and experimental data", 'interact');
addPage_2('en/causal', 'l_causal3', "Data collection and causality", 'interact');
addSection('bk/biometricx', 'sec_designIntro', "Principles of experimental design");
addPage_2('en/designIntro', 'l_designIntro1', "Variable experimental units", 'interact');
addPage_2('en/designIntro', 'l_designIntro2', "A badly designed experiment", 'interact');
addPage_2('en/designIntro', 'l_designIntro3', "Randomisation", 'interact');
addPage_2('en/designIntro', 'l_designIntro_b4', "Mechanics of randomisation", 'interact');
addPage_2('en/designIntro', 'l_designIntro5', "Replication", 'static');
addPage_2('en/designIntro', 'l_designIntro6', "Blocking", 'interact');
addPage_2('en/designIntro', 'l_designIntro7', "Benifits of blocking", 'interact');
addSection('bk/biometricx', 'sec_pairBlock', "Pairing and blocks");
addPage_2('en/pairBlock', 'l_pairBlock1', "Aim of similar experimental units", 'interact');
addPage_2('en/pairBlock', 'l_pairBlock2', "Aim of similar experimental units", 'interact');
addPage_2('en/pairBlock', 'l_pairBlock3', "Randomisation in paired experiments", 'interact');
addPage_2('en/pairBlock', 'l_pairBlock4', "Matched groups of 3 or more units", 'interact');
addPage_2('en/pairBlock', 'l_pairBlock_b5', "Randomised block experiments", 'static');
addSection('bk/biometricx', 'sec_designTwo', "Two or more factors");
addPage_2('en/designTwo', 'l_designTwo1', "Experiments with two factors", 'interact');
addPage_2('en/designTwo', 'l_designTwo2', "Simple model for two factors", 'interact');
addPage_2('en/designTwo', 'l_designTwo3', "Interaction between factors", 'interact');
addPage_2('en/designTwo', 'l_designTwo4', "Example with interaction", 'interact');
addPage_2('en/designTwo', 'l_designTwo_b5', "No-interaction model for three factors", 'interact');
addPage_2('en/designTwo', 'l_designTwo6', "Interaction in 3-factor designs", 'interact');

addChapter('bk/generalx', 'ch_estimation', "Estimating Parameters");
addSection('bk/biometricx', 'sec_estIntro', "Introduction to estimation");
addPage_2('en/estIntro', 'l_estIntro_b1', "Interest in populations", 'static');
addPage_2('en/estIntro', 'l_estIntro_b2', "Interest in parameters", 'static');
addPage_2('en/estIntro', 'l_estIntro_b3', "Estimation error", 'interact');
addSection('bk/biometricx', 'sec_seMean', "Standard error of mean");
addPage_2('en/seMean', 'l_seMean_b1', "Error distribution for mean", 'interact');
addPage_2('en/seMean', 'l_seMean_b2', "Standard error when population SD is known", 'interact');
addPage_2('en/seMean', 'l_seMean_b3', "Standard error when population SD is unknown", 'static');
addPage_2('en/seMean', 'l_seMean4', "Standard error vs standard deviation", 'interact');
addPage_2('en/seMean', 'l_seMean_b5', "Using SEs to compare estimators", 'interact');
addPage_2('en/seMean', 'l_seMean6', "More about bias", 'interact');
addSection('bk/biometricx', 'sec_ciMean', "Confidence interval for mean");
addPage_2('en/ciMean', 'l_ciMean_b1', "Confidence interval for a mean, known SD", 'interact');
addPage_2('en/ciMean', 'l_ciMean2', "Confidence level", 'interact');
addPage_2('en/ciMean', 'l_ciMean3', "Confidence level if sigma is replaced by s", 'interact');
addPage_2('en/ciMean', 'l_ciMean4', "Adjusting CI width for unknown popn SD", 'interact');
addPage_2('en/ciMean', 'l_ciMean5', "Confidence interval for mean, unknown popn SD", 'interact');
addPage_2('en/ciMean', 'l_ciMean6', "Properties of 95% confidence interval", 'interact');
addPage_2('en/ciMean', 'l_ciMean_b7', "Examples", 'static');
addSection('bk/biometricx', 'sec_estPropn', "Estimating proportions");
addPage_2('en/estPropn', 'l_estPropn1', "Estimating a proportion", 'interact');
addPage_2('en/estPropn', 'l_estPropn_b2', "Error distribution", 'interact');
addPage_2('en/estPropn', 'l_estPropn3', "Normal approximation to error distribution", 'interact');
addPage_2('en/estPropn', 'l_estPropn_b4', "Standard error examples", 'static');
addPage_2('en/estPropn', 'l_estPropn_b5', "Confidence interval for proportion", 'static');
addPage_2('en/estPropn', 'l_estPropn6', "Properties of 95% CI for proportion", 'interact');
addPage_2('en/estPropn', 'l_estPropn_b7', "Confidence interval examples", 'static');
addSection('bk/biometricx', 'sec_ciExtra', "More about estimation");
addPage_2('en/ciExtra', 'l_ciExtra1', "Maximum standard error for proportion", 'interact');
addPage_2('en/ciExtra', 'l_ciExtra2', "Margin of error", 'interact');
addPage_2('en/ciExtra', 'l_ciExtra3', "Sample size for estimating mean", 'interact');
addPage_2('en/ciExtra', 'l_ciExtra_b4', "Sample size for estimating proportion", 'interact');
addPage_2('en/ciExtra', 'l_ciExtra5', "Other confidence levels", 'interact');
addSection('bk/biometricx', 'sec_estOther', "Simulation and bootstrap");
addPage_2('en/estOther', 'l_estOther1', "Error distribution by simulation", 'interact');
addPage_2('en/estOther', 'l_estOther2', "Simulation from normal approximation", 'interact');
addPage_2('en/estOther', 'l_estOther3', "Bootstrap error distribution", 'interact');
addPage_2('en/estOther', 'l_estOther_b4', "Standard error of correlation from bootstrap", 'interact');
addPage_2('en/estOther', 'l_estOther5', "Confidence interval from error distribution", 'interact');

addChapter('bk/generalx', 'ch_testing', "Testing Hypotheses");
addSection('bk/biometricx', 'sec_testIntro', "Introduction to hypothesis tests");
addPage_2('en/testIntro', 'l_testIntro1', "Soccer league simulation", 'interact');
addPage_2('en/testIntro', 'l_testIntro_b2', "Simulation to test a proportion", 'interact');
addPage_2('en/testIntro', 'l_testIntro3', "Simulation to test a mean", 'interact');
addPage_2('en/testIntro', 'l_testIntro_b4', "Randomisation tests", 'interact');
addPage_2('en/testIntro', 'l_testIntro5', "Soccer league randomisation", 'interact');
addSection('bk/biometricx', 'sec_testPropn', "Tests about proportions");
addPage_2('en/testPropn', 'l_testPropn_b1', "P-value for testing proportion", 'interact');
addPage_2('en/testPropn', 'l_testPropn_b2', "Another example of testing a proportion", 'interact');
addPage_2('en/testPropn', 'l_testPropn3', "Two-tailed tests", 'interact');
addPage_2('en/testPropn', 'l_testPropn_b4', "Tests based on normal approximation", 'interact');
addSection('bk/generalx', 'sec_testMean', "Tests about means");
addPage_2('en/testMean', 'l_testMean1', "Tests based on statistical distance", 'interact');
addPage_2('en/testMean', 'l_testMean2', "Example (known sigma)", 'interact');
addPage_2('en/testMean', 'l_testMean3', "Test statistic (unknown sigma)", 'interact');
addPage_2('en/testMean', 'l_testMean4', "The t distribution", 'interact');
addPage_2('en/testMean', 'l_testMean5', "The t test for a mean", 'interact');
addSection('bk/generalx', 'sec_decision', "Decisions and significance");
addPage_2('en/decision', 'l_decision1', "Decisions and significance level", 'interact');
addPage_2('en/decision', 'l_decision2', "P-values and decision rules", 'interact');
addPage_2('en/decision', 'l_decision3', "Sample size and power", 'interact');
addSection('bk/biometricx', 'sec_testPValue', "Properties of p-values");
addPage_2('en/testPValue', 'l_testPValue1', "Null and alternative hypotheses", 'interact');
addPage_2('en/testPValue', 'l_testPValue_b2', "P-value and consistency with null hypothesis", 'interact');
addPage_2('en/testPValue', 'l_testPValue3', "Distribution of p-values", 'interact');
addPage_2('en/testPValue', 'l_testPValue_b4', "P-values for other tests", 'interact');

addChapter('bk/generalx', 'ch_twoGroups', "Comparing Groups");
addSection('bk/biometricx', 'sec_twoGroupModel', "Models for two groups");
addPage_2('en/twoGroupModel', 'l_twoGroupModel_b1', "Interest in underlying population", 'static');
addPage_2('en/twoGroupModel', 'l_twoGroupModel_b2', "Model for two groups", 'interact');
addPage_2('en/twoGroupModel', 'l_twoGroupModel3', "Parameters of the normal model", 'interact');
addPage_2('en/twoGroupModel', 'l_twoGroupModel4', "Parameter estimates", 'interact');
addPage_2('en/twoGroupModel', 'l_twoGroupModel5', "Difference between means", 'interact');
addSection('bk/generalx', 'sec_sumDiff', "Distn of sums and differences");
addPage_2('en/sumDiff', 'l_sumDiff1', "Means and sums of random samples", 'interact');
addPage_2('en/sumDiff', 'l_sumDiff2', "Sums and differences", 'interact');
addPage_2('en/sumDiff', 'l_sumDiff3', "Sums and differences (cont)", 'interact');
addPage_2('en/sumDiff', 'l_sumDiff4', "Probabilities for sums and differences", 'static');
addSection('bk/biometricx', 'sec_twoGroupInf', "Comparing means in two groups");
addPage_2('en/twoGroupInf', 'l_twoGroupInf1', "Distn of difference between means", 'interact');
addPage_2('en/twoGroupInf', 'l_twoGroupInf_b2', "Distribution of estimation error", 'static');
addPage_2('en/twoGroupInf', 'l_twoGroupInf_b3', "CI for difference between means", 'static');
addPage_2('en/twoGroupInf', 'l_twoGroupInf4', "Properties of confidence interval", 'interact');
addPage_2('en/twoGroupInf', 'l_twoGroupInf_b5', "Testing a hypothesis", 'static');
addPage_2('en/twoGroupInf', 'l_twoGroupInf6', "Properties of hypothesis test", 'interact');
addPage_2('en/twoGroupInf', 'l_twoGroupInf_b7', "One-tailed tests", 'static');
addPage_2('en/twoGroupInf', 'l_twoGroupInf8', "Properties of one-tailed tests", 'interact');
addSection('bk/generalx', 'sec_twoGroupPropn', "Comparing two proportions");
addPage_2('en/twoGroupPropn', 'l_twoGroupPropn1', "Estimating difference between proportions", 'static');
addPage_2('en/twoGroupPropn', 'l_twoGroupPropn2', "Distribution of difference in proportions", 'interact');
addPage_2('en/twoGroupPropn', 'l_twoGroupPropn3', "CI for difference in proportions", 'static');
addPage_2('en/twoGroupPropn', 'l_twoGroupPropn4', "Testing for difference in probabilities", 'static');
addSection('bk/biometricx', 'sec_testPaired', "Paired t test");
addPage_2('en/testPaired', 'l_testPaired_b1', "Analysis of differences", 'static');
addPage_2('en/testPaired', 'l_testPaired_b2', "Benefits of pairing", 'interact');
addPage_2('en/testPaired', 'l_testPaired3', "Paired t-test", 'interact');
addPage_2('en/testPaired', 'l_testPaired4', "Pairing and experimental design", 'interact');
addSection('bk/biometricx', 'sec_multiGroup', "Comparing several means");
addPage_2('en/multiGroup', 'l_multiGroup1', "Model with common standard deviation", 'interact');
addPage_2('en/multiGroup', 'l_multiGroup2', "Estimate of common standard deviation", 'interact');
addPage_2('en/multiGroup', 'l_multiGroup_b3', "Inference about two groups", 'static');
addPage_2('en/multiGroup', 'l_multiGroup4', "Assessing differences between groups", 'interact');
addPage_2('en/multiGroup', 'l_multiGroup5', "Sums of squares", 'interact');
addPage_2('en/multiGroup', 'l_multiGroup_b6', "Coefficient of determination", 'static');
addPage_2('en/multiGroup', 'l_multiGroup7', "Test for differences between groups", 'interact');
addPage_2('en/multiGroup', 'l_multiGroup_b8', "Examples", 'static');
addSection('bk/generalx', 'sec_randBlock', "Randomised blocks");
addPage_2('en/randBlock', 'l_randBlock1', "Importance of using block information", 'interact');
addPage_2('en/randBlock', 'l_randBlock2', "Randomised block examples", 'interact');
addPage_2('en/randBlock', 'l_randBlock3', "Model for randomised blocks", 'interact');
addPage_2('en/randBlock', 'l_randBlock4', "Removing block effects", 'interact');
addPage_2('en/randBlock', 'l_randBlock5', "Explained sums of squares", 'interact');
addPage_2('en/randBlock', 'l_randBlock6', "Residual sum of squares", 'interact');
addPage_2('en/randBlock', 'l_randBlock7', "Anova table and examples", 'static');

addChapter('bk/generalx', 'ch_regnInference', "Regression Inference");
addSection('bk/biometricx', 'sec_regnModel', "Linear regression models");
addPage_2('en/regnModel', 'l_regnModel1', "Histogram of Y for each X", 'interact');
addPage_2('en/regnModel', 'l_regnModel2', "Distribution of Y for each X", 'interact');
addPage_2('en/regnModel', 'l_regnModel3', "Normal linear model", 'interact');
addPage_2('en/regnModel', 'l_regnModel4', "Band containing 95% of crosses", 'interact');
addPage_2('en/regnModel', 'l_regnModel_b5', "Model parameters", 'interact');
addSection('bk/generalx', 'sec_regnEst', "Estimating parameters");
addPage_2('en/regnEst', 'l_regnEst1', "Point estimates of slope and intercept", 'interact');
addPage_2('en/regnEst', 'l_regnEst2', "Estimating the error standard devn", 'interact');
addPage_2('en/regnEst', 'l_regnEst3', "Distribution of least squares estimates", 'interact');
addPage_2('en/regnEst', 'l_regnEst4', "Standard error of least squares slope", 'static');
addPage_2('en/regnEst', 'l_regnEst5', "95% confidence interval for slope", 'interact');
addPage_2('en/regnEst', 'l_regnEst6', "Standard error and data collection", 'interact');
addSection('bk/generalx', 'sec_regnTest', "Testing regression parameters");
addPage_2('en/regnTest', 'l_regnTest1', "Importance of zero slope", 'interact');
addPage_2('en/regnTest', 'l_regnTest2', "Uncertainty about whether slope is zero", 'interact');
addPage_2('en/regnTest', 'l_regnTest3', "T-test examples", 'static');
addPage_2('en/regnTest', 'l_regnTest4', "Strength of evidence and relationship", 'static');
addPage_2('en/regnTest', 'l_regnTest5', "Properties of p-values", 'interact');
addSection('bk/biometricx', 'sec_regnPred', "Predicting the response");
addPage_2('en/regnPred', 'l_regnPred_b1', "Estimated response distn at X", 'interact');
addPage_2('en/regnPred', 'l_regnPred2', "Variability of estimate at X", 'interact');
addPage_2('en/regnPred', 'l_regnPred3', "Variability of estimate at X (cont)", 'interact');
addPage_2('en/regnPred', 'l_regnPred4', "Estimating the mean vs prediction", 'interact');
addPage_2('en/regnPred', 'l_regnPred_b5', "Confidence and prediction intervals", 'interact');
addSection('bk/biometricx', 'sec_regnProblem', "Linear model assumptions");
addPage_2('en/regnProblem', 'l_regnProblem1', "Assumptions in a normal linear model", 'interact');
addPage_2('en/regnProblem', 'l_regnProblem2', "Curvature &mdash; transforming X", 'interact');
addPage_2('en/regnProblem', 'l_regnProblem_b3', "Curvature and non-constant variance &mdash; transforming Y", 'interact');
addPage_2('en/regnProblem', 'l_regnProblem4', "Prediction and transformations", 'interact');
addPage_2('en/regnProblem', 'l_regnProblem5', "Prediction intervals and transformations", 'interact');
addPage_2('en/regnProblem', 'l_regnProblem6', "Standardised residuals", 'interact');
addPage_2('en/regnProblem', 'l_regnProblem7', "Outliers and leverage", 'interact');
addPage_2('en/regnProblem', 'l_regnProblem8', "Non-normal errors", 'interact');
addPage_2('en/regnProblem', 'l_regnProblem9', "Correlated errors  (optional)", 'interact');

addChapter('bk/generalx', 'ch_independence', "Independence");
addSection('bk/biometricx', 'sec_prob', "Probability and applications");
addPage_2('en/prob', 'l_prob1', "Joint probabilities", 'interact');
addPage_2('en/prob', 'l_prob_b2', "Marginal probabilities", 'interact');
addPage_2('en/prob', 'l_prob_b3', "Conditional probabilities", 'interact');
addPage_2('en/prob', 'l_prob_b4', "Graphical display of probabilities", 'interact');
addPage_2('en/prob', 'l_prob5', "Calculations with probabilities", 'interact');
addPage_2('en/prob', 'l_prob6', "Calculations with probabilities (cont)", 'interact');
addSection('bk/generalx', 'sec_indep', "Independence");
addPage_2('en/indep', 'l_indep1', "Association and independence", 'static');
addPage_2('en/indep', 'l_indep2', "More about independence", 'interact');
addPage_2('en/indep', 'l_indep3', "Independence from samples", 'static');
addPage_2('en/indep', 'l_indep4', "Chi-squared statistic", 'interact');
addPage_2('en/indep', 'l_indep5', "Chi-squared distribution", 'interact');
addPage_2('en/indep', 'l_indep6', "P-value for chi-squared test", 'interact');
addPage_2('en/indep', 'l_indep7', "Examples of tests for independence", 'static');
addPage_2('en/indep', 'l_indep8', "Examples of tests comparing groups", 'static');

var language = "en";
var logoGif = null;
var homeDir = "bk/biometricx";
var versionGif = "../biometric/images/castBiometric";
var isLecturingVersion = true;
var isModule = false;
var hasSummaries = false;
var hasVideos = false;
var summaryPdfUrl = null;
var castWebServerUrl = "http://cast.massey.ac.nz";
var noOfChapters = "14";

var localVideos = false;

var fullTextString = 'Full';
var summaryTextString = 'In brief';
var videoTextString = 'Video';
var appletTextString = 'Full';
fullTabTooltip = 'Full text version of page';
summaryTabTooltip = 'Summarised version of page';
videoTabTooltip = 'Version of page with videos';
appletTabTooltip = 'Full text version of page with interaction';
var chapterString = 'Chapter';

var versionName = {'_b': 'Biometric', '_g': 'General', '_a': 'African', '_c': 'Business', '_z': 'Other'};
var versions = {};
versions['l_structures1'] = new Array('_b', '_g', '_a', '_c');
versions['l_structures2'] = new Array('_g', '_a', '_c');
versions['l_structures3'] = new Array('_b', '_g', '_a', '_c');
versions['l_structures4'] = new Array('_g', '_c');
versions['l_structures5'] = new Array('_g', '_a', '_c');
versions['l_structures6'] = new Array('_b', '_g', '_c');
versions['l_structures7'] = new Array('_b', '_g');
versions['l_structures8'] = new Array('_b', '_g');
versions['l_variation5'] = new Array('_g', '_c');
versions['l_valueDisplay1'] = new Array('_b', '_g', '_c');
versions['l_valueDisplay2'] = new Array('_b', '_g', '_c');
versions['l_valueDisplay4'] = new Array('_b', '_g', '_c');
versions['l_valueDisplay5'] = new Array('_g', '_c');
versions['l_valueDisplay8'] = new Array('_g', '_c');
versions['l_displayInterp3'] = new Array('_b', '_g');
versions['l_density3'] = new Array('_g', '_c');
versions['l_density4'] = new Array('_b', '_g', '_c');
versions['l_density6'] = new Array('_b', '_g', '_c');
versions['l_density7'] = new Array('_b', '_g', '_c');
versions['l_density9'] = new Array('_g', '_c');
versions['l_density10'] = new Array('_g', '_c');
versions['l_centerSpread1'] = new Array('_b', '_g');
versions['l_centerSpread2'] = new Array('_b', '_g');
versions['l_centerSpread3'] = new Array('_b', '_g', '_c');
versions['l_centerSpread7'] = new Array('_g', '_c');
versions['l_transform1'] = new Array('_b', '_g');
versions['l_transform2'] = new Array('_g', '_c');
versions['l_transform3'] = new Array('_g', '_c');
versions['l_counts1'] = new Array('_g', '_c');
versions['l_counts2'] = new Array('_g', '_c');
versions['l_scatterplot2'] = new Array('_g', '_c');
versions['l_scatterplot4'] = new Array('_g', '_c');
versions['l_scatterplot5'] = new Array('_g', '_c');
versions['l_relationship1'] = new Array('_g', '_c');
versions['l_relationship2'] = new Array('_g', '_c');
versions['l_relationship4'] = new Array('_g', '_c');
versions['l_correlation1'] = new Array('_b', '_g', '_c');
versions['l_leastSqrs1'] = new Array('_b', '_g', '_c');
versions['l_leastSqrs4'] = new Array('_g', '_c');
versions['l_leastSqrs8'] = new Array('_g', '_c');
versions['l_leastSqrs9'] = new Array('_g', '_c');
versions['l_curvature1'] = new Array('_g', '_c');
versions['l_curvature2'] = new Array('_g', '_c');
versions['l_curvature4'] = new Array('_g', '_c');
versions['l_curvature5'] = new Array('_g', '_c');
versions['l_timePlot1'] = new Array('_b', '_g', '_c');
versions['l_timePlot2'] = new Array('_g', '_c');
versions['l_timePlot3'] = new Array('_b', '_g');
versions['l_timePlot4'] = new Array('_b', '_g', '_c');
versions['l_timePlot5'] = new Array('_b', '_g');
versions['l_freqTable1'] = new Array('_g', '_c');
versions['l_freqTable2'] = new Array('_b', '_g', '_a');
versions['l_univarCat1'] = new Array('_b', '_g', '_a');
versions['l_univarCat4'] = new Array('_b', '_g', '_c');
versions['l_univarCat5'] = new Array('_b', '_g', '_c');
versions['l_univarCat6'] = new Array('_b', '_g', '_c');
versions['l_univarCat8'] = new Array('_b', '_g');
versions['l_univarCat9'] = new Array('_b', '_g', '_c');
versions['l_groupedCat1'] = new Array('_g', '_c');
versions['l_groupedCat2'] = new Array('_b', '_g', '_c');
versions['l_groupedCat3'] = new Array('_g', '_c');
versions['l_groupedCat4'] = new Array('_b', '_g', '_c');
versions['l_groupedCat5'] = new Array('_b', '_g', '_c');
versions['l_groupedCat6'] = new Array('_g', '_c');
versions['l_groupedCat7'] = new Array('_g', '_c');
versions['l_tableDisplay4'] = new Array('_g', '_c');
versions['l_logistic2'] = new Array('_b', '_g', '_c');
versions['l_logistic4'] = new Array('_b', '_g', '_c');
versions['l_multivariate1'] = new Array('_b', '_g', '_c');
versions['l_multivariate2'] = new Array('_g', '_c');
versions['l_multivariate3'] = new Array('_g', '_c');
versions['l_multivariate5'] = new Array('_g', '_c');
versions['l_regnGroups7'] = new Array('_g', '_c');
versions['l_lurking1'] = new Array('_b', '_g', '_c');
versions['l_lurking2'] = new Array('_b', '_g');
versions['l_lurking3'] = new Array('_g', '_c');
versions['l_lurking4'] = new Array('_g', '_c');
versions['l_popSamp1'] = new Array('_b', '_g', '_a', '_c');
versions['l_popSamp2'] = new Array('_g', '_c');
versions['l_popSamp3'] = new Array('_b', '_g', '_a', '_c');
versions['l_popSamp4'] = new Array('_b', '_g');
versions['l_popSamp5'] = new Array('_b', '_g', '_c');
versions['l_infPopn1'] = new Array('_b', '_g', '_c');
versions['l_infPopn2'] = new Array('_b', '_g', '_c', '_z');
versions['l_infPopn4'] = new Array('_g', '_c');
versions['l_probDensity2'] = new Array('_b', '_g', '_c');
versions['l_probDensity3'] = new Array('_b', '_g', '_c');
versions['l_probDensity7'] = new Array('_g', '_c');
versions['l_probSim4'] = new Array('_b', '_g', '_c');
versions['l_probSim6'] = new Array('_g', '_c');
versions['l_randomMean1'] = new Array('_b', '_g', '_c');
versions['l_randomMean5'] = new Array('_b', '_g', '_c');
versions['l_randomMean6'] = new Array('_b', '_g');
versions['l_normalDistn1'] = new Array('_g', '_c');
versions['l_normalDistn7'] = new Array('_b', '_g', '_c');
versions['l_randomPropn1'] = new Array('_g', '_c');
versions['l_randomPropn3'] = new Array('_b', '_g', '_c');
versions['l_randomPropn5'] = new Array('_b', '_g', '_c');
versions['l_sampPractice1'] = new Array('_b', '_g');
versions['l_sampPractice2'] = new Array('_b', '_g');
versions['l_causal2'] = new Array('_b', '_g', '_c');
versions['l_designIntro1'] = new Array('_g', '_c');
versions['l_designIntro2'] = new Array('_g', '_c');
versions['l_designIntro3'] = new Array('_g', '_c');
versions['l_designIntro4'] = new Array('_b', '_g', '_c');
versions['l_designIntro7'] = new Array('_g', '_c');
versions['l_pairBlock5'] = new Array('_b', '_g');
versions['l_designTwo5'] = new Array('_b', '_g');
versions['l_estIntro1'] = new Array('_b', '_g', '_c');
versions['l_estIntro2'] = new Array('_b', '_g', '_c');
versions['l_estIntro3'] = new Array('_b', '_g', '_c');
versions['l_seMean1'] = new Array('_b', '_g', '_c');
versions['l_seMean2'] = new Array('_b', '_g');
versions['l_seMean3'] = new Array('_b', '_g', '_c');
versions['l_seMean5'] = new Array('_b', '_g', '_c');
versions['l_ciMean1'] = new Array('_b', '_g');
versions['l_ciMean7'] = new Array('_b', '_g', '_c');
versions['l_estPropn2'] = new Array('_b', '_g', '_c');
versions['l_estPropn4'] = new Array('_b', '_g', '_c');
versions['l_estPropn5'] = new Array('_b', '_g', '_c');
versions['l_estPropn7'] = new Array('_b', '_g', '_c');
versions['l_ciExtra3'] = new Array('_g', '_c');
versions['l_ciExtra4'] = new Array('_b', '_g');
versions['l_estOther2'] = new Array('_g', '_c');
versions['l_estOther4'] = new Array('_b', '_g');
versions['l_estOther5'] = new Array('_g', '_c');
versions['l_testIntro2'] = new Array('_b', '_g', '_c');
versions['l_testIntro4'] = new Array('_b', '_g');
versions['l_testPropn1'] = new Array('_b', '_g', '_c');
versions['l_testPropn2'] = new Array('_b', '_g', '_c');
versions['l_testPropn3'] = new Array('_g', '_c');
versions['l_testPropn4'] = new Array('_b', '_g');
versions['l_testMean5'] = new Array('_g', '_c');
versions['l_testPValue1'] = new Array('_g', '_c');
versions['l_testPValue2'] = new Array('_b', '_g', '_c');
versions['l_testPValue4'] = new Array('_b', '_g', '_c');
versions['l_twoGroupModel1'] = new Array('_b', '_g', '_c');
versions['l_twoGroupModel2'] = new Array('_b', '_g', '_c');
versions['l_twoGroupModel4'] = new Array('_g', '_c');
versions['l_twoGroupModel5'] = new Array('_g', '_c');
versions['l_twoGroupInf1'] = new Array('_g', '_c');
versions['l_twoGroupInf2'] = new Array('_b', '_g', '_c');
versions['l_twoGroupInf3'] = new Array('_b', '_g', '_c');
versions['l_twoGroupInf5'] = new Array('_b', '_g', '_c');
versions['l_twoGroupInf7'] = new Array('_b', '_g', '_c');
versions['l_twoGroupPropn1'] = new Array('_g', '_c');
versions['l_twoGroupPropn3'] = new Array('_g', '_c');
versions['l_twoGroupPropn4'] = new Array('_g', '_c');
versions['l_testPaired1'] = new Array('_b', '_g', '_c');
versions['l_testPaired2'] = new Array('_b', '_g');
versions['l_testPaired3'] = new Array('_g', '_c');
versions['l_multiGroup3'] = new Array('_b', '_g', '_c');
versions['l_multiGroup6'] = new Array('_b', '_g', '_c');
versions['l_multiGroup8'] = new Array('_b', '_g', '_c');
versions['l_regnModel1'] = new Array('_g', '_c');
versions['l_regnModel2'] = new Array('_g', '_c');
versions['l_regnModel5'] = new Array('_b', '_g', '_c');
versions['l_regnEst1'] = new Array('_g', '_c');
versions['l_regnEst2'] = new Array('_g', '_c');
versions['l_regnEst4'] = new Array('_g', '_c');
versions['l_regnTest1'] = new Array('_g', '_c');
versions['l_regnTest2'] = new Array('_g', '_c');
versions['l_regnTest3'] = new Array('_g', '_c');
versions['l_regnPred1'] = new Array('_b', '_g', '_c');
versions['l_regnPred5'] = new Array('_b', '_g');
versions['l_regnProblem3'] = new Array('_b', '_g');
versions['l_regnProblem4'] = new Array('_g', '_c');
versions['l_regnProblem5'] = new Array('_g', '_c');
versions['l_prob1'] = new Array('_g', '_c');
versions['l_prob2'] = new Array('_b', '_g', '_c');
versions['l_prob3'] = new Array('_b', '_g', '_c');
versions['l_prob4'] = new Array('_b', '_g');
versions['l_prob5'] = new Array('_g', '_c');
versions['l_prob6'] = new Array('_g', '_c');
versions['l_indep1'] = new Array('_g', '_c');
versions['l_indep3'] = new Array('_g', '_c');
versions['l_indep7'] = new Array('_g', '_c');
versions['l_indep8'] = new Array('_g', '_c');

bookLoaded = true;
