
addBook('bk/exercises', 'book_splash', "About the CAST exercises");

addChapter('bk/general', 'ch_preface', "Preface", null, 'v_ch_preface');
addSection('bk/general', 'sec_aboutCast', "About CAST");
addPage_2('en/aboutCast', 'aboutCast1', "What is CAST?", 'static');
addPage_2('en/aboutCast', 'aboutCast2', "Structure and navigation", 'static');
addPage_2('en/aboutCast', 'aboutCast3', "Copyright and licence", 'static');
addPage_2('en/aboutCast', 'aboutCast4', "Acknowledgements", 'static');
addPage_2('en/aboutCast', 'aboutCast5', "About the author", 'static');
addSection('bk/general', 'sec_otherInfo', "Other Information");
addPage_2('en/otherInfo', 'otherInfo1', "Browsers and Java", 'static');
addPage_2('en/otherInfo', 'otherInfo2', "Printing", 'static');
addPage_2('en/otherInfo', 'otherInfo3', "Recent changes to CAST", 'static');

addChapter('bk/exercises', 'ch_univar', "One Numerical Variable");
addSection('bk/exercises', 'sec_dataDisplay', "Graphical displays");
addPage_2('en/valueDisplay', 'e_valueDisplay1', "Stem and leaf plots", 'static');
addPage_2('en/valueDisplay', 'e_valueDisplay2', "Stacked dot plots", 'static');
addPage_2('en/boxPlot', 'e_boxPlot1', "Box plots", 'static');
addPage_2('en/density', 'e_density1', "Histograms", 'static');
addPage_2('en/boxPlot', 'e_boxPlot2', "Shape of a box plot", 'static');
addPage_2('en/density', 'e_density2', "Histogram areas and proportions", 'static');
addPage_2('en/displayInterp', 'e_displayInterp1', "Information from distributions", 'static');
addSection('bk/exercises', 'sec_centerSpread', "Describing centre and spread");
addPage_2('en/centerSpread', 'e_centerSpread1', "Ideas of centre and spread", 'static');
addPage_2('en/centerSpread', 'e_centerSpread2', "Mean and median", 'static');
addPage_2('en/centerSpread', 'e_centerSpread3', "Standard deviation from graph", 'static');
addPage_2('en/centerSpread', 'e_centerSpread4', "Standard deviation from general knowledge", 'static');
addPage_2('en/centerSpread', 'e_centerSpread5', "Rough graph from mean and st devn", 'static');
addPage_2('en/centerSpread', 'e_centerSpread6', "Clusters and outliers (advanced)", 'static');
addSection('bk/exercises', 'sec_percentile', "Proportions and percentiles");
addPage_2('en/percentile', 'e_percentile1', "Cumulative distribution functions", 'static');
addPage_2('en/percentile', 'e_percentile2', "Shape of the cumulative distribution function", 'static');
addPage_2('en/percentile', 'e_percentile3', "Percentages, rates and return periods", 'static');
addPage_2('en/percentile', 'e_percentile4', "Percentages from cumulative distn function", 'static');
addPage_2('en/percentile', 'e_percentile5', "Rates and return periods from c.d.f.", 'static');
addPage_2('en/percentile', 'e_percentile6', "Percentiles", 'static');
addSection('bk/exercises', 'sec_transform', "Transformations");
addPage_2('en/transform', 'e_transform1', "Linear transformations", 'static');
addPage_2('en/transform', 'e_transform2', "Mean and st devn after linear transformations", 'static');
addPage_2('en/transform', 'e_transform3', "Nonlinear transformations", 'static');

addChapter('bk/exercises', 'ch_bivar', "Two Numerical Variables");
addSection('bk/exercises', 'sec_scatterCorr', "Scatterplots and correlation");
addPage_2('en/scatterplot', 'e_scatterplot1', "Scatterplots", 'static');
addPage_2('en/scatterplot', 'e_scatterplot2', "Information from scatterplots", 'static');
addPage_2('en/correlation', 'e_correlation1', "Correlation coefficient, r", 'static');
addPage_2('en/correlation', 'e_correlation2', "Clusters, outliers and curvature", 'static');
addSection('bk/exercises', 'sec_leastSqrs', "Least squares");
addPage_2('en/leastSqrs', 'e_leastSqrs1', "Explanatory variable and response", 'static');
addPage_2('en/leastSqrs', 'e_leastSqrs2', "Drawing a straight line", 'static');
addPage_2('en/leastSqrs', 'e_leastSqrs3', "Slope and intercept", 'static');
addPage_2('en/leastSqrs', 'e_leastSqrs4', "Interpreting the slope and intercept", 'static');
addPage_2('en/leastSqrs', 'e_leastSqrs5', "Residuals", 'static');
addPage_2('en/leastSqrs', 'e_leastSqrs6', "Residual plot", 'static');
addPage_2('en/leastSqrs', 'e_leastSqrs7', "Predictions", 'static');
addSection('bk/exercises', 'sec_lsProblems', "Curvature, outliers and leverage");
addPage_2('en/curvature', 'e_curvature1', "Regression problems", 'static');
addPage_2('en/curvature', 'e_curvature2', "Log transformations of X and Y", 'static');
addPage_2('en/curvature', 'e_curvature3', "Prediction from nonlinear model", 'static');
addPage_2('en/curvature', 'e_curvature4', "Power transformations (advanced)", 'static');

addChapter('bk/exercises', 'ch_timeSeries', "Time Series");
addSection('bk/exercises', 'sec_timePlot', "Time series plots");
addPage_2('en/timePlot', 'e_timePlot1', "Patterns in time series", 'static');
addSection('bk/exercises', 'sec_timeSmooth', "Smoothing");
addPage_2('en/smoothing', 'e_smoothing1', "Moving averages &amp; exponential smoothing", 'static');
addSection('bk/exercises', 'sec_trend', "Trend");
addPage_2('en/trend', 'e_trend1', "Forecasting a future value", 'static');

addChapter('bk/exercises', 'ch_cat', "Categorical Variables");
addSection('bk/exercises', 'sec_freqTable', "Frequency tables");
addPage_2('en/freqTable', 'e_freqTable1', "Types of variables", 'static');
addPage_2('en/freqTable', 'e_freqTable2', "Proportions from frequency tables", 'static');
addPage_2('en/freqTable', 'e_freqTable3', "Proportions for ordered categories", 'static');
addSection('bk/exercises', 'sec_univarCat', "Bar and pie charts");
addPage_2('en/univarCat', 'e_univarCat1', "Drawing a bar chart", 'static');
addPage_2('en/univarCat', 'e_univarCat2', "Proportions and percentages from bar charts", 'static');
addPage_2('en/univarCat', 'e_univarCat3', "Pareto diagrams", 'static');
addPage_2('en/univarCat', 'e_univarCat4', "Drawing a pie chart", 'static');
addPage_2('en/univarCat', 'e_univarCat5', "Matching bar and pie charts", 'static');
addPage_2('en/univarCat', 'e_univarCat6', "Percentages from pie charts", 'static');
addSection('bk/exercises', 'sec_continTable', "Contingency tables");
addPage_2('en/groupedCat', 'e_groupedCat1', "Creating a contingency table", 'static');
addPage_2('en/groupedCat', 'e_groupedCat2', "Proportions from contingency tables", 'static');

addChapter('bk/exercises', 'ch_sampling', "Sampling and Variability");
addSection('bk/exercises', 'sec_probDistn', "Probability and distributions");
addPage_2('en/probSim', 'e_probSim1', "Equally likely outcomes", 'static');
addPage_2('en/probSim', 'e_probSim2', "Value from finite categorical population", 'static');
addPage_2('en/probSim', 'e_probSim3', "Value from finite numerical population", 'static');
addPage_2('en/probSim', 'e_probSim4', "Random value from infinite population", 'static');
addPage_2('en/probSim', 'e_probSim5', "Equally likely outcomes", 'static');
addSection('bk/exercises', 'sec_normalDistn', "Normal distributions");
addPage_2('en/normalDistn', 'e_normalDistn1', "Shape of normal distribution ", 'static');
addPage_2('en/normalDistn', 'e_normalDistn2', "Probability and area under normal curve", 'static');
addPage_2('en/normalDistn', 'e_normalDistn3', "Normal probabilities from z-scores", 'static');
addPage_2('en/normalDistn', 'e_normalDistn4', "Expected numbers", 'static');
addPage_2('en/normalDistn', 'e_normalDistn5', "Finding X from probability", 'static');
addPage_2('en/normalDistn', 'e_normalDistn6', "Mixture of questions", 'static');
addPage_2('en/normalDistn', 'e_normalDistn7', "Guessing normal probabilities", 'static');
addSection('bk/exercises', 'sec_binomial', "Distribution of sample proportion");
addPage_2('en/randomPropn', 'e_randomPropn1', "Recognising a binomial distribution", 'static');
addPage_2('en/randomPropn', 'e_randomPropn2', "Shape of binomial distribution", 'static');
addPage_2('en/randomPropn', 'e_randomPropn3', "Finding binomial probabilities", 'static');
addPage_2('en/randomPropn', 'e_randomPropn4', "Normal approximation", 'static');
addPage_2('en/randomPropn', 'e_randomPropn5', "Probabilities from normal approximation", 'static');
addSection('bk/exercises', 'sec_meanSum', "Distributions of means &amp; sums");
addPage_2('en/randomMean', 'e_randomMean1', "Spread of distribution of mean and sum", 'static');
addPage_2('en/randomMean', 'e_randomMean2', "Shape of distribution of mean and sum", 'static');
addPage_2('en/randomMean', 'e_randomMean3', "Distribution of mean and sum (cont)", 'static');
addPage_2('en/randomMean', 'e_randomMean4', "Probabilities relating to means and sums", 'static');

addChapter('bk/exercises', 'ch_estimation', "Estimating Parameters");
addSection('bk/exercises', 'sec_popSamp', "Populations and samples");
addPage_2('en/popSamp', 'e_popSamp1', "Distinction between populations and samples", 'static');
addPage_2('en/popSamp', 'e_popSamp2', "Distinction between parameters and estimates", 'static');
addSection('bk/exercises', 'sec_se', "Standard error");
addPage_2('en/seMean', 'e_seMean1', "Standard error of mean", 'static');
addPage_2('en/seMean', 'e_seMean2', "Standard error vs standard deviation", 'static');
addPage_2('en/seMean', 'e_seMean3', "Factors affecting the standard deviation and standard error", 'static');
addSection('bk/exercises', 'sec_ciMean', "Confidence interval for mean");
addPage_2('en/ciMean', 'e_ciMean1', "Confidence interval from standard error", 'static');
addPage_2('en/ciMean', 'e_ciMean2', "95% confidence interval, known sigma", 'static');
addPage_2('en/ciMean', 'e_ciMean3', "95% confidence interval, unknown sigma", 'static');
addPage_2('en/ciMean', 'e_ciMean4', "Other confidence levels, known sigma", 'static');
addPage_2('en/ciMean', 'e_ciMean5', "Mixture of levels, known &amp; unknown \u03c3", 'static');
addPage_2('en/ciMean', 'e_ciMean6', "Factors affecting width of CI", 'static');
addPage_2('en/ciMean', 'e_ciMean7', "Interpreting a 95% confidence interval", 'static');
addSection('bk/exercises', 'sec_ciProportion', "Estimating proportions");
addPage_2('en/estPropn', 'e_estPropn1', "Standard error of proportion", 'static');
addPage_2('en/estPropn', 'e_estPropn2', "95% confidence interval for probability", 'static');
addPage_2('en/estPropn', 'e_estPropn3', "Other confidence levels", 'static');
addPage_2('en/estPropn', 'e_estPropn4', "Factors affecting width of confidence interval", 'static');
addPage_2('en/estPropn', 'e_estPropn5', "Interpreting a 95% confidence interval", 'static');

addChapter('bk/exercises', 'ch_test', "Testing Hypotheses");
addSection('bk/exercises', 'sec_testSim', "Testing with simulations");
addPage_2('en/testIntro', 'e_testIntro1', "Test about a proportion", 'static');
addPage_2('en/testIntro', 'e_testIntro2', "Test about a mean, known sigma", 'static');
addSection('bk/exercises', 'sec_testPropn', "Tests about probabilities and proportions");
addPage_2('en/testPropn', 'e_testPropn1', "Perform test using binomial distribution", 'static');
addPage_2('en/testPropn', 'e_testPropn2', "Perform test with a normal approximation", 'static');
addPage_2('en/testPropn', 'e_testPropn3', "Test with continuity correction (advanced)", 'static');
addSection('bk/exercises', 'sec_testMean', "Tests about means");
addPage_2('en/testMean', 'e_testMean1', "Hypothesis test, assuming known \u03c3", 'static');
addPage_2('en/testMean', 'e_testMean2', "T test (unknown sigma)", 'static');
addSection('bk/exercises', 'sec_testPValue', "Properties of p-values");
addPage_2('en/testPValue', 'e_testPValue1', "Generic interpretation of a p-values", 'static');
addPage_2('en/testPValue', 'e_testPValue2', "Interpretation of p-values (in context)", 'static');
addPage_2('en/testPValue', 'e_testPValue3', "Interpretation of p-values (harder)", 'static');

addChapter('bk/exercises', 'ch_compareGroups', "Comparing Groups");
addSection('bk/exercises', 'sec_twoMeans', "Comparing two means");
addPage_2('en/sumDiff', 'e_sumDiff1', "Probabilities about sums and differences", 'static');
addPage_2('en/twoGroupInf', 'e_twoGroupInf1', "Probabilities about differences", 'static');
addPage_2('en/twoGroupInf', 'e_twoGroupInf2', "CI for difference between two means", 'static');
addPage_2('en/twoGroupInf', 'e_twoGroupInf3', "Testing group means for equality", 'static');
addSection('bk/exercises', 'sec_twoPropns', "Comparing two proportions");
addPage_2('en/twoGroupPropn', 'e_twoGroupPropn1', "CI for difference between two proportions", 'static');
addPage_2('en/twoGroupPropn', 'e_twoGroupPropn2', "Test about difference between two proportions", 'static');
addSection('bk/exercises', 'sec_paired', "Paired data");
addPage_2('en/testPaired', 'e_testPaired1', "2-sample or paired t-test", 'static');
addPage_2('en/testPaired', 'e_testPaired2', "Conduct paired t-test", 'static');
addSection('bk/exercises', 'sec_multiGroup', "Comparing many groups");
addPage_2('en/multiGroup', 'e_multiGroup1', "Anova table formulae", 'static');
addPage_2('en/multiGroup', 'e_multiGroup2', "Anova table values", 'static');
addPage_2('en/multiGroup', 'e_multiGroup3', "Conclusion from Anova table", 'static');
addSection('bk/exercises', 'sec_continTest', "Association in contingency tables");
addPage_2('en/indep', 'e_indep1', "Expected cell counts", 'static');
addPage_2('en/indep', 'e_indep2', "Chi-squared test for independence", 'static');

addChapter('bk/exercises', 'ch_regnInference', "Regression Inference");
addSection('bk/exercises', 'sec_regnModel', "Regression models");
addPage_2('en/regnModel', 'e_regnModel1', "Normal distribution of response at fixed X", 'static');
addSection('bk/exercises', 'sec_regnEst', "Estimating slope and intercept");
addPage_2('en/regnEst', 'e_regnEst1', "Standard error of slope", 'static');
addPage_2('en/regnEst', 'e_regnEst2', "Confidence interval for slope", 'static');
addPage_2('en/regnEst', 'e_regnEst3', "Influences on accuracy", 'static');
addSection('bk/exercises', 'sec_regnTest', "Testing the regression slope");
addPage_2('en/regnTest', 'e_regnTest1', "Test for zero slope", 'static');

var language = "en";
var logoGif = null;
var homeDir = "bk/exercises";
var versionGif = "images/castExercises";
var isLecturingVersion = false;
var isModule = false;
var hasSummaries = false;
var hasVideos = false;
var summaryPdfUrl = null;
var castWebServerUrl = "http://cast.massey.ac.nz";
var noOfChapters = "10";

var localVideos = false;

var fullTextString = 'Full';
var summaryTextString = 'In brief';
var videoTextString = 'Video';
var appletTextString = 'Full';
fullTabTooltip = 'Full text version of page';
summaryTabTooltip = 'Summarised version of page';
videoTabTooltip = 'Version of page with videos';
appletTabTooltip = 'Full text version of page with interaction';
var chapterString = 'Chapter';

var versionName = {'_g': 'General', '_m': 'Climatic', '_b': 'Biometric', '_c': 'Business'};
var versions = {};
versions['e_percentile4'] = new Array('_g', '_m');
versions['e_twoGroupPropn1'] = new Array('_g', '_b', '_c');
versions['e_twoGroupPropn2'] = new Array('_g', '_b', '_c');

bookLoaded = true;
