
addBook('bk/indExper', 'book_splash', "About CAST");

addChapter('bk/general', 'ch_preface', "Preface", null, 'v_ch_preface');
addSection('bk/general', 'sec_aboutCast', "About CAST");
addPage_2('en/aboutCast', 'aboutCast1', "What is CAST?", 'static');
addPage_2('en/aboutCast', 'aboutCast2', "Structure and navigation", 'static');
addPage_2('en/aboutCast', 'aboutCast3', "Copyright and licence", 'static');
addPage_2('en/aboutCast', 'aboutCast4', "Acknowledgements", 'static');
addPage_2('en/aboutCast', 'aboutCast5', "About the author", 'static');
addSection('bk/general', 'sec_otherInfo', "Other Information");
addPage_2('en/otherInfo', 'otherInfo1', "Browsers and Java", 'static');
addPage_2('en/otherInfo', 'otherInfo2', "Printing", 'static');
addPage_2('en/otherInfo', 'otherInfo3', "Recent changes to CAST", 'static');

addChapter('bk/indExper', 'ch_simpleExper', "Simple Experiments");
addSection('bk/indExper', 'sec_aboutExper', "Basic concepts and notation");
addPage_2('en/aboutExper', 'aboutExper1', "Structure of an experiment", 'static');
addPage_2('en/aboutExper', 'aboutExper2', "Before you start", 'static');
addPage_2('en/aboutExper', 'aboutExper3', "Randomisation", 'interact');
addPage_2('en/aboutExper', 'aboutExper4', "Blocks of experimental units", 'interact');
addSection('bk/indExper', 'sec_oneFactorInd', "Design and estimates");
addPage_2('en/oneFactorInd', 'oneFactorInd1', "Completely randomised experiment", 'interact');
addPage_2('en/oneFactorInd', 'oneFactorInd2', "Experiment with one factor", 'static');
addPage_2('en/oneFactorInd', 'oneFactorInd3', "Explained and unexplained variation", 'static');
addPage_2('en/oneFactorInd', 'oneFactorInd4', "Treatment means", 'interact');
addSection('bk/indExper', 'sec_linModIntro', "Model for response");
addPage_2('en/linModIntro', 'linModIntro1', "Normal model", 'interact');
addPage_2('en/linModIntro', 'linModIntro2', "Categorical factors", 'interact');
addPage_2('en/linModIntro', 'linModIntro3', "Numerical factors", 'interact');
addPage_2('en/linModIntro', 'linModIntro4', "Least squares", 'interact');
addPage_2('en/linModIntro', 'linModIntro5', "Numerical factors with 2 or 3 levels", 'interact');
addPage_2('en/linModIntro', 'linModIntro6', "Coding for factors", 'interact');
addSection('bk/indExper', 'sec_anovaIntro', "Inference");
addPage_2('en/anovaIntro', 'anovaIntro1', "Variation between and within treatments", 'interact');
addPage_2('en/anovaIntro', 'anovaIntro2', "Explained and unexplained variation", 'interact');
addPage_2('en/anovaIntro', 'anovaIntro3', "Sums of squares", 'interact');
addPage_2('en/anovaIntro', 'anovaIntro4', "Analysis of variance", 'interact');
addPage_2('en/anovaIntro', 'anovaIntro5', "Hierarchy of models for numerical factor", 'interact');
addPage_2('en/anovaIntro', 'anovaIntro6', "Testing linearity", 'interact');
addPage_2('en/anovaIntro', 'anovaIntro7', "Estimating the error variance", 'interact');
addPage_2('en/anovaIntro', 'anovaIntro8', "Confidence intervals for treatment means", 'interact');

addChapter('bk/indExper', 'ch_factorialExper', "Factorial Experiments");
addSection('bk/indExper', 'sec_factorialTwo', "Designs for two factors");
addPage_2('en/factorialTwo', 'factorialTwo_i1', "Factorial design for two factors", 'interact');
addPage_2('en/factorialTwo', 'factorialTwo_i2', "Examples of factorial experiments", 'static');
addPage_2('en/factorialTwo', 'factorialTwo3', "Interaction between factors", 'interact');
addPage_2('en/factorialTwo', 'factorialTwo4', "Efficiency", 'interact');
addPage_2('en/factorialTwo', 'factorialTwo_i5', "Practical problems", 'static');
addSection('bk/indExper', 'sec_twoFactor', "Model and analysis of variance");
addPage_2('en/twoFactorModel', 'twoFactorModel1', "Normal model for two factors", 'interact');
addPage_2('en/twoFactor', 'twoFactor2', "Transformations", 'interact');
addPage_2('en/twoFactorModel', 'twoFactorModel_i2', "Additive model for treatment means", 'interact');
addPage_2('en/twoFactor', 'twoFactor4', "Model for categorical factors", 'interact');
addPage_2('en/twoFactorAnova', 'twoFactorAnova_i2', "Sequence of models", 'interact');
addPage_2('en/twoFactorAnova', 'twoFactorAnova_i3', "Explained sums of squares", 'interact');
addPage_2('en/twoFactorAnova', 'twoFactorAnova4', "Sum of squares table", 'interact');
addPage_2('en/twoFactorAnova', 'twoFactorAnova_i5', "Analyisis of variance tests", 'interact');
addSection('bk/indExper', 'sec_factorInteract', "Interaction between factors");
addPage_2('en/factorInteract', 'factorInteract_i1', "Model without interaction", 'interact');
addPage_2('en/factorInteract', 'factorInteract_i2', "Interaction between factors", 'interact');
addPage_2('en/factorInteract', 'factorInteract_i4', "Test for interaction", 'interact');
addPage_2('en/factorInteract', 'factorInteract5', "Reporting results", 'interact');
addPage_2('en/factorInteract', 'factorInteract_i6', "Experiments with a single replicate", 'interact');
addPage_2('en/factorInteract', 'factorInteract7', "Tranformations and interaction", 'interact');
addSection('bk/indExper', 'sec_twoFactorNum', "Numerical factors");
addPage_2('en/twoFactorNum', 'twoFactorNum1', "Categorical model for numerical factors", 'interact');
addPage_2('en/twoFactorNum', 'twoFactorNum2', "Linear terms for factors", 'interact');
addPage_2('en/twoFactorNum', 'twoFactorNum3', "Analyisis of variance", 'interact');
addPage_2('en/twoFactorNum', 'twoFactorNum_i4', "Interaction between numerical factors", 'interact');
addPage_2('en/twoFactorNum', 'twoFactorNum5', "Numerical-categorical interaction", 'interact');
addPage_2('en/twoFactorNum', 'twoFactorNum6', "Quadratic terms", 'static');
addSection('bk/indExper', 'sec_threeFactor', "Experiments with three factors");
addPage_2('en/threeFactor', 'threeFactor1', "Model without interactions", 'interact');
addPage_2('en/threeFactor', 'threeFactor2', "Least squares", 'interact');
addPage_2('en/threeFactor', 'threeFactor3', "Interactions", 'interact');
addPage_2('en/threeFactor', 'threeFactor4', "Analysis of variance", 'interact');
addPage_2('en/threeFactor', 'threeFactor5', "Summarising the model", 'interact');
addPage_2('en/threeFactor', 'threeFactor6', "Experiments with a single replicate", 'interact');
addSection('bk/indExper', 'sec_twoNExper', "Factors with 2 levels");
addPage_2('en/twoNExper', 'twoNExper1', "Factors with two levels", 'static');
addPage_2('en/twoNExper', 'twoNExper2', "Main effects", 'static');
addPage_2('en/twoNExper', 'twoNExper3', "Interactions", 'static');
addPage_2('en/twoNExper', 'twoNExper4', "Analysis of variance table", 'interact');
addPage_2('en/twoNExper', 'twoNExper5', "Picking important effects", 'interact');
addPage_2('en/twoNExper', 'twoNExper6', "Describing factor effects", 'interact');
addPage_2('en/twoNExper', 'twoNExper7', "Designs with centre points", 'interact');

addChapter('bk/indExper', 'ch_fractionalExper', "Fractional Designs");
addSection('bk/indExper', 'sec_incompleteFact', "Introduction");
addPage_2('en/incompleteFact', 'incompleteFact1', "Screening experiments", 'static');
addPage_2('en/incompleteFact', 'incompleteFact2', "Cost of complete factorial design", 'static');
addPage_2('en/incompleteFact', 'incompleteFact3', "Designs with fewer runs", 'static');
addPage_2('en/incompleteFact', 'incompleteFact4', "Problems", 'static');
addSection('bk/indExper', 'sec_run48Design', "Designs for 4 and 8 runs");
addPage_2('en/run48Design', 'run48Design1', "Two factors", 'static');
addPage_2('en/run48Design', 'run48Design2', "Three factors", 'interact');
addPage_2('en/run48Design', 'run48Design3', "Assessing factor importance", 'static');
addPage_2('en/run48Design', 'run48Design4', "Two or three factors", 'interact');
addPage_2('en/run48Design', 'run48Design5', "Four factors", 'interact');
addPage_2('en/run48Design', 'run48Design6', "Five to seven factors", 'interact');
addPage_2('en/run48Design', 'run48Design7', "Ranking factor importance", 'static');
addSection('bk/indExper', 'sec_run16Design', "Designs with 16 runs");
addPage_2('en/run16Design', 'run16Design1', "Four factors", 'static');
addPage_2('en/run16Design', 'run16Design2', "Five factors", 'interact');
addPage_2('en/run16Design', 'run16Design3', "Six to eight factors", 'interact');
addPage_2('en/run16Design', 'run16Design4', "Nine to fifteen factors", 'static');
addSection('bk/indExper', 'sec_runOtherDesign', "Designs with other numbers of runs");
addPage_2('en/runOtherDesign', 'runOtherDesign1', "Other fractional factorial designs", 'static');
addPage_2('en/runOtherDesign', 'runOtherDesign2', "Plackett-Burman designs for 12 runs", 'static');
addPage_2('en/runOtherDesign', 'runOtherDesign3', "Plackett-Burman designs for 24+ runs", 'static');
addPage_2('en/runOtherDesign', 'runOtherDesign4', "Foldover designs", 'static');

addChapter('bk/indExper', 'ch_respSurface', "Response Surfaces");
addSection('bk/indExper', 'sec_respSurfaceTwo', "Quadratic model for two factors");
addPage_2('en/respSurfaceTwo', 'respSurfaceTwo1', "Quadratic model for two factors", 'interact');
addPage_2('en/respSurfaceTwo', 'respSurfaceTwo2', "Shape of quadratic response surface", 'interact');
addPage_2('en/respSurfaceTwo', 'respSurfaceTwo3', "Central composite designs", 'interact');
addPage_2('en/respSurfaceTwo', 'respSurfaceTwo4', "Display of surface with contours", 'interact');
addPage_2('en/respSurfaceTwo', 'respSurfaceTwo5', "Choosing best model", 'interact');
addSection('bk/indExper', 'sec_respSurfaceThree', "Quadratic model for three factors");
addPage_2('en/respSurfaceThree', 'respSurfaceThree1', "Design of experiment", 'interact');
addPage_2('en/respSurfaceThree', 'respSurfaceThree2', "Displaying the model", 'interact');
addPage_2('en/respSurfaceThree', 'respSurfaceThree3', "Choosing the best model", 'interact');
addSection('bk/indExper', 'sec_mixtures', "Mixtures of ingredients");
addPage_2('en/mixtures', 'mixtures1', "Mixtures of three ingredients", 'interact');
addPage_2('en/mixtures', 'mixtures2', "Experimental designs for mixtures", 'interact');
addPage_2('en/mixtures', 'mixtures3', "Representing designs in two dimensions", 'interact');
addPage_2('en/mixtures', 'mixtures4', "Designs for mixtures of four ingredients", 'interact');
addPage_2('en/mixtures', 'mixtures5', "Modelling the response surface", 'interact');
addPage_2('en/mixtures', 'mixtures6', "Hypothesis tests", 'static');
addPage_2('en/mixtures', 'mixtures7', "Constrained mixtures", 'interact');
addPage_2('en/mixtures', 'mixtures8', "Constraints on maximum", 'interact');
addPage_2('en/mixtures', 'mixtures9', "Designs for constrained mixtures", 'interact');

var language = "en";
var logoGif = null;
var homeDir = "bk/indExper";
var versionGif = "images/castIndExper";
var isLecturingVersion = false;
var isModule = false;
var hasSummaries = false;
var hasVideos = false;
var summaryPdfUrl = null;
var castWebServerUrl = "http://cast.massey.ac.nz";
var noOfChapters = "5";

var localVideos = false;

var fullTextString = 'Full';
var summaryTextString = 'In brief';
var videoTextString = 'Video';
var appletTextString = 'Full';
fullTabTooltip = 'Full text version of page';
summaryTabTooltip = 'Summarised version of page';
videoTabTooltip = 'Version of page with videos';
appletTabTooltip = 'Full text version of page with interaction';
var chapterString = 'Chapter';

var versionName = {'_i': 'Industrial', '_g': 'General', '_b': 'Biometric'};
var versions = {};
versions['factorialTwo1'] = new Array('_i', '_g');
versions['factorialTwo2'] = new Array('_i', '_g');
versions['twoFactorModel2'] = new Array('_i', '_g', '_b');
versions['twoFactorAnova2'] = new Array('_i', '_g', '_b');
versions['twoFactorAnova3'] = new Array('_i', '_g', '_b');
versions['twoFactorAnova4'] = new Array('_g', '_b');
versions['twoFactorAnova5'] = new Array('_i', '_g', '_b');
versions['factorInteract1'] = new Array('_i', '_g', '_b');
versions['factorInteract2'] = new Array('_i', '_g', '_b');
versions['factorInteract4'] = new Array('_i', '_g', '_b');
versions['factorInteract6'] = new Array('_i', '_g');
versions['twoFactorNum1'] = new Array('_g', '_b');
versions['twoFactorNum2'] = new Array('_g', '_b');
versions['twoFactorNum3'] = new Array('_g', '_i');
versions['twoFactorNum4'] = new Array('_i', '_b');

bookLoaded = true;
