
addBook('bk/regn', 'book_splash', "About this CAST e-book");

addChapter('bk/general', 'ch_preface', "Preface", null, 'v_ch_preface');
addSection('bk/general', 'sec_aboutCast', "About CAST");
addPage_2('en/aboutCast', 'aboutCast1', "What is CAST?", 'static');
addPage_2('en/aboutCast', 'aboutCast2', "Structure and navigation", 'static');
addPage_2('en/aboutCast', 'aboutCast3', "Copyright and licence", 'static');
addPage_2('en/aboutCast', 'aboutCast4', "Acknowledgements", 'static');
addPage_2('en/aboutCast', 'aboutCast5', "About the author", 'static');
addSection('bk/general', 'sec_otherInfo', "Other Information");
addPage_2('en/otherInfo', 'otherInfo1', "Browsers and Java", 'static');
addPage_2('en/otherInfo', 'otherInfo2', "Printing", 'static');
addPage_2('en/otherInfo', 'otherInfo3', "Recent changes to CAST", 'static');

addChapter('bk/regn', 'ch_simpleRegn', "Simple Linear Regression");
addSection('bk/regn', 'sec_correlation', "Correlation");
addPage_2('en/relationship', 'relationship1', "Strength of a relationship", 'interact');
addPage_2('en/correlation', 'correlation1', "Units for X and Y", 'interact');
addPage_2('en/correlation', 'correlation2', "Units-free variables (z-scores)", 'interact');
addPage_2('en/correlation', 'correlation3', "Correlation coefficient", 'interact');
addPage_2('en/correlation', 'correlation4', "Scatterplots and the value of r", 'interact');
addPage_2('en/correlation', 'correlation5', "Nonlinear relationships", 'interact');
addPage_2('en/correlation', 'correlation6', "R does not tell the whole story", 'interact');
addPage_2('en/relationship', 'relationship2', "Outliers", 'interact');
addPage_2('en/relationship', 'relationship3', "Clusters", 'interact');
addPage_2('en/relationship', 'relationship4', "Dangers of over-interpretation", 'interact');
addSection('bk/general', 'sec_causal', "Association &amp; causal relationships");
addPage_2('en/causal', 'causal1', "Interest in relationships", 'static');
addPage_2('en/causal', 'causal2', "Causal and non-causal relationships", 'static');
addPage_2('en/causal', 'causal3', "Detecting causal relationships", 'static');
addPage_2('en/causal', 'causal4', "Observational and experimental data", 'interact');
addPage_2('en/causal', 'causal5', "Data collection and causality", 'interact');
addSection('bk/general', 'sec_leastSqrs', "Least squares");
addPage_2('en/leastSqrs', 'leastSqrs1', "Predicting Y from X", 'interact');
addPage_2('en/leastSqrs', 'leastSqrs2', "Linear models", 'interact');
addPage_2('en/leastSqrs', 'leastSqrs3', "Fitted values and residuals", 'interact');
addPage_2('en/leastSqrs', 'leastSqrs4', "Least squares", 'interact');
addPage_2('en/leastSqrs', 'leastSqrs5', "Curvature and outliers", 'interact');
addPage_2('en/leastSqrs', 'leastSqrs6', "Residual plots", 'interact');
addPage_2('en/leastSqrs', 'leastSqrs7', "Predicting Y and predicting X", 'interact');
addSection('bk/general', 'sec_regnModel', "Linear regression models");
addPage_2('en/regnModel', 'regnModel1', "Interest in generalising from data", 'interact');
addPage_2('en/regnModel', 'regnModel2', "Distribution of Y for each X", 'interact');
addPage_2('en/regnModel', 'regnModel3', "Normal linear model", 'interact');
addPage_2('en/regnModel', 'regnModel4', "Another way to describe the model", 'interact');
addPage_2('en/regnModel', 'regnModel5', "Model parameters", 'interact');
addSection('bk/general', 'sec_regnEst', "Estimating parameters");
addPage_2('en/regnEst', 'regnEst1', "Estimating the slope and intercept", 'interact');
addPage_2('en/regnEst', 'regnEst2', "Estimating the error standard devn", 'interact');
addPage_2('en/regnEst', 'regnEst3', "Distn of least squares estimates", 'interact');
addPage_2('en/regnEst', 'regnEst4', "Standard error of least squares slope", 'static');
addPage_2('en/regnEst', 'regnEst5', "95% confidence interval for slope", 'static');
addPage_2('en/regnEst', 'regnEst6', "Properties of confidence interval", 'interact');
addPage_2('en/regnEst', 'regnEst7', "Influences on accuracy", 'interact');
addSection('bk/general', 'sec_regnTest', "Testing regression parameters");
addPage_2('en/regnTest', 'regnTest1', "Importance of zero slope", 'interact');
addPage_2('en/regnTest', 'regnTest2', "Testing whether slope is zero", 'static');
addPage_2('en/regnTest', 'regnTest3', "Strength of evidence and relationship", 'static');
addPage_2('en/regnTest', 'regnTest4', "Properties of p-values", 'interact');
addSection('bk/general', 'sec_regnPred', "Predicting the response");
addPage_2('en/regnPred', 'regnPred1', "Estimated response distn at X", 'interact');
addPage_2('en/regnPred', 'regnPred2', "Variability of estimate at X", 'interact');
addPage_2('en/regnPred', 'regnPred3', "Estimating the mean vs prediction", 'interact');
addPage_2('en/regnPred', 'regnPred4', "Confidence and prediction intervals", 'interact');
addSection('bk/regn', 'sec_regnProblem', "Linear model assumptions");
addPage_2('en/regnProblem', 'regnProblem1', "Assumptions in a normal linear model", 'interact');
addPage_2('en/regnProblem', 'regnProblem2', "Curvature &mdash; transforming X", 'interact');
addPage_2('en/regnProblem', 'regnProblem3', "Curvature and non-constant variance", 'interact');
addPage_2('en/regnProblem', 'regnProblem4', "Transformations and prediction", 'interact');
addPage_2('bk/regn', 'regnProblem6', "Non-normal errors", 'interact');
addPage_2('en/regnProblem', 'regnProblem7', "Correlated errors", 'interact');
addSection('bk/regn', 'sec_diagnostics', "Leverage, outliers and influence");
addPage_2('en/diagnostics', 'diagnostics1', "Leverage", 'interact');
addPage_2('en/diagnostics', 'diagnostics2', "Outliers and leverage", 'interact');
addPage_2('en/diagnostics', 'diagnostics3', "Variances of the residuals", 'interact');
addPage_2('en/diagnostics', 'diagnostics4', "Standardised residuals", 'interact');
addPage_2('en/diagnostics', 'diagnostics5', "Deleted residuals", 'interact');
addPage_2('en/diagnostics', 'diagnostics6', "Externally studentised residuals", 'interact');
addPage_2('en/diagnostics', 'diagnostics7', "Influence on fitted values", 'interact');
addPage_2('en/diagnostics', 'diagnostics8', "Influence on regression coefficients", 'interact');
addPage_2('en/diagnostics', 'diagnostics9', "Summary and examples", 'interact');

addChapter('bk/regn', 'ch_multipleRegn', "Multiple Regression");
addSection('bk/regn', 'sec_leastSqrsTwo', "Least squares for Y vs (X and Z)");
addPage_2('en/leastSqrsTwo', 'leastSqrsTwo1', "More than one explanatory variable", 'interact');
addPage_2('en/leastSqrsTwo', 'leastSqrsTwo2', "Three-dimensional scatterplots", 'interact');
addPage_2('en/leastSqrsTwo', 'leastSqrsTwo3', "Linear equation and least squares plane", 'interact');
addPage_2('en/leastSqrsTwo', 'leastSqrsTwo4', "Understanding the parameters", 'interact');
addPage_2('en/leastSqrsTwo', 'leastSqrsTwo5', "Fitted values and residuals", 'interact');
addPage_2('en/leastSqrsTwo', 'leastSqrsTwo6', "Estimating the parameters", 'interact');
addPage_2('en/leastSqrsTwo', 'leastSqrsTwo7', "Least squares estimation", 'interact');
addPage_2('en/leastSqrsTwo', 'leastSqrsTwo8', "Interpreting the coefficients", 'interact');
addSection('bk/regn', 'sec_regnInfTwo', "Normal linear model and inference");
addPage_2('en/regnInfTwo', 'regnInfTwo1', "Normal linear model", 'interact');
addPage_2('en/regnInfTwo', 'regnInfTwo2', "Sampling variability of least squares plane", 'interact');
addPage_2('en/regnInfTwo', 'regnInfTwo3', "Distribution of estimated coefficients", 'interact');
addPage_2('en/regnInfTwo', 'regnInfTwo4', "Estimate of error standard deviation", 'interact');
addPage_2('en/regnInfTwo', 'regnInfTwo5', "95% confidence intervals for coefficients", 'interact');
addPage_2('en/regnInfTwo', 'regnInfTwo6', "Hypothesis tests for coefficients", 'interact');
addSection('bk/regn', 'sec_glm', "The general linear model");
addPage_2('en/glm', 'glm1', "General linear model", 'static');
addPage_2('en/glm', 'glm2', "Describing the simple linear model with matrices", 'interact');
addPage_2('en/glm', 'glm3', "General linear model with matrices", 'interact');
addPage_2('en/glm', 'glm4', "Least squares with matrices", 'interact');
addPage_2('en/glm', 'glm5', "Interpreting coefficients", 'interact');
addPage_2('en/glm', 'glm6', "Standard errors", 'interact');
addPage_2('en/glm', 'glm7', "Inference for general linear models", 'interact');
addSection('bk/regn', 'sec_nonlinTwo', "Nonlinear relationships");
addPage_2('en/nonlinTwo', 'nonlinTwo1', "Linear models for curvature", 'static');
addPage_2('en/nonlinTwo', 'nonlinTwo2', "Linearity of quadratic models", 'interact');
addPage_2('en/nonlinTwo', 'nonlinTwo3', "Polynomial models", 'interact');
addPage_2('en/nonlinTwo', 'nonlinTwo4', "Residual plots to detect nonlinearity", 'interact');
addPage_2('en/nonlinTwo', 'nonlinTwo5', "Partial residual plots", 'interact');
addPage_2('en/nonlinTwo', 'nonlinTwo6', "Model with quadratic in X, linear in Z", 'interact');
addPage_2('en/nonlinTwo', 'nonlinTwo7', "Model with quadratic terms in X and Z", 'interact');
addPage_2('en/nonlinTwo', 'nonlinTwo8', "Visualising least squares", 'interact');
addPage_2('en/nonlinTwo', 'nonlinTwo9', "Tests for curvature in X and Z", 'interact');
addSection('bk/regn', 'sec_interact', "Interaction");
addPage_2('en/interact', 'interact1', "Additivity of effects of X and Z", 'interact');
addPage_2('en/interact', 'interact2', "Interaction between X and Z", 'interact');
addPage_2('en/interact', 'interact3', "Inference for models with interaction", 'interact');
addPage_2('en/interact', 'interact4', "Tranformations and interaction", 'interact');
addPage_2('en/interact', 'interact5', "Example (nonlinearity and interaction)", 'interact');
addSection('bk/regn', 'sec_diagnosticsTwo', "Diagnostics with 2 explanatory variables");
addPage_2('en/diagnosticsTwo', 'diagnosticsTwo1', "Problem points", 'static');
addPage_2('en/diagnosticsTwo', 'diagnosticsTwo2', "Leverage", 'interact');
addPage_2('en/diagnosticsTwo', 'diagnosticsTwo3', "Problems with high leverage", 'interact');
addPage_2('en/diagnosticsTwo', 'diagnosticsTwo4', "Standardised residuals", 'interact');
addPage_2('en/diagnosticsTwo', 'diagnosticsTwo5', "Externally studentised residuals", 'interact');
addPage_2('en/diagnosticsTwo', 'diagnosticsTwo6', "Influence", 'static');
addPage_2('en/diagnosticsTwo', 'diagnosticsTwo7', "Examples", 'interact');

addChapter('bk/regn', 'ch_regnAnova', "Analysis of Variance");
addSection('bk/regn', 'sec_regnAnova', "Anova for simple linear model");
addPage_2('en/regnAnova', 'regnAnova1', "Components for regression model", 'interact');
addPage_2('en/regnAnova', 'regnAnova2', "Sums of squares", 'interact');
addPage_2('en/regnAnova', 'regnAnova3', "Coefficient of determination", 'interact');
addPage_2('en/regnAnova', 'regnAnova4', "Coefficient of determination and experiments", 'interact');
addPage_2('en/regnAnova', 'regnAnova5', "Analysis of variance test", 'static');
addSection('bk/regn', 'sec_multiRegnAnova', "All-or-nothing anova");
addPage_2('en/multiRegnAnova', 'multiRegnAnova1', "Components of variation for Y vs X and Z", 'interact');
addPage_2('en/multiRegnAnova', 'multiRegnAnova2', "Sums of squares for Y vs X and Z", 'interact');
addPage_2('en/multiRegnAnova', 'multiRegnAnova3', "F test for regression of Y vs X and Z", 'interact');
addPage_2('en/multiRegnAnova', 'multiRegnAnova4', "All-or-nothing F test for any GLM", 'static');
addPage_2('en/multiRegnAnova', 'multiRegnAnova5', "Different interpretations of R-sqr and F", 'interact');
addSection('bk/regn', 'sec_multicollin', "Multicollinearity of X and Z");
addPage_2('en/multicollin', 'multicollin1', "Correlated explanatory variables", 'interact');
addPage_2('en/multicollin', 'multicollin2', "Correlated explanatory variables", 'interact');
addPage_2('en/multicollin', 'multicollin3', "Understanding multicollinearity", 'interact');
addPage_2('en/multicollin', 'multicollin4', "Understanding multicollinearity (cont)", 'interact');
addPage_2('en/multicollin', 'multicollin5', "F- and t-tests: a paradox?", 'interact');
addPage_2('en/multicollin', 'multicollin6', "T-tests in full and partial models", 'interact');
addSection('bk/regn', 'sec_seqRegnSsq', "Sequential sums of squares");
addPage_2('en/seqRegnSsq', 'seqRegnSsq1', "Sequentially adding variables", 'interact');
addPage_2('en/seqRegnSsq', 'seqRegnSsq2', "Splitting the explained sum of squares", 'interact');
addPage_2('en/seqRegnSsq', 'seqRegnSsq3', "Order of adding X and Z", 'interact');
addPage_2('en/seqRegnSsq', 'seqRegnSsq4', "Anova tests for individual variables", 'interact');
addPage_2('en/seqRegnSsq', 'seqRegnSsq5', "Orthogonal variables", 'interact');
addPage_2('en/seqRegnSsq', 'seqRegnSsq6', "Orthogonal variables and experimental design", 'interact');
addPage_2('en/seqRegnSsq', 'seqRegnSsq7', "Other sequences of models", 'static');
addSection('bk/regn', 'sec_nonlinAnova', "Testing linearity in regression");
addPage_2('en/nonlinAnova', 'nonlinAnova1', "Linear and quadratic models", 'interact');
addPage_2('en/nonlinAnova', 'nonlinAnova2', "Understanding the sums of squares", 'interact');
addPage_2('en/nonlinAnova', 'nonlinAnova3', "Testing for linearity", 'interact');
addPage_2('en/nonlinAnova', 'nonlinAnova4', "Polynomial models", 'interact');
addPage_2('en/nonlinAnova', 'nonlinAnova5', "Testing curvature in complex models", 'interact');
addPage_2('en/nonlinAnova', 'nonlinAnova6', "Inference for models with interaction", 'interact');
addSection('bk/regn', 'sec_glmAnova', "Several explanatory variables");
addPage_2('en/glmAnova', 'glmAnova1', "Marginal sums of squares", 'interact');
addPage_2('en/glmAnova', 'glmAnova2', "Variable selection", 'interact');
addPage_2('en/glmAnova', 'glmAnova3', "Multicollinearity", 'interact');
addPage_2('en/glmAnova', 'glmAnova4', "Sequential sums of squares", 'interact');
addPage_2('en/glmAnova', 'glmAnova5', "Sequential sums of squares and fitted values", 'interact');
addPage_2('en/glmAnova', 'glmAnova6', "Order of variables in ssq table", 'interact');
addPage_2('en/glmAnova', 'glmAnova7', "Sums of squares for groups of variables", 'interact');
addPage_2('en/glmAnova', 'glmAnova8', "Hypothesis tests in anova tables", 'interact');

addChapter('bk/regn', 'ch_dummyVar', "Indicator Variables");
addSection('bk/regn', 'sec_indicator', "Indicator variable for two groups");
addPage_2('en/indicator', 'indicator1', "Model and hypotheses", 'interact');
addPage_2('en/indicator', 'indicator2', "Indicator variables", 'interact');
addPage_2('en/indicator', 'indicator3', "Least squares estimates", 'interact');
addPage_2('en/indicator', 'indicator4', "Test for equal group means", 'static');
addPage_2('en/indicator', 'indicator5', "Sums of squares", 'interact');
addPage_2('en/indicator', 'indicator6', "Anova test for equal means", 'static');
addSection('bk/regn', 'sec_indicators', "Indicator variables for 3+ groups");
addPage_2('en/indicators', 'indicators1', "Model for several groups", 'interact');
addPage_2('en/indicators', 'indicators2', "Indicator variables", 'interact');
addPage_2('en/indicators', 'indicators3', "Least squares estimates", 'interact');
addPage_2('en/indicators', 'indicators4', "Tests for separate indicator variables", 'interact');
addPage_2('en/indicators', 'indicators5', "Explained and residual sums of squares", 'interact');
addPage_2('en/indicators', 'indicators6', "Coefficient of determination", 'static');
addPage_2('en/indicators', 'indicators7', "Anova test for equal group means", 'static');
addPage_2('en/indicators', 'indicators8', "Can groups be combined?", 'interact');
addSection('bk/regn', 'sec_mixedModel', "Numerical &amp; categorical variables");
addPage_2('en/mixedModel', 'mixedModel1', "Model for X and 2 groups", 'interact');
addPage_2('en/mixedModel', 'mixedModel2', "Inference for X and 2 groups", 'interact');
addPage_2('en/mixedModel', 'mixedModel3', "Model for X and 3+ groups", 'interact');
addPage_2('en/mixedModel', 'mixedModel4', "Inference for X and 3+ groups", 'interact');
addPage_2('en/structures', 'structures3', "Categorical variables and groups", 'interact');
addPage_2('en/mixedModel', 'mixedModel6', "Model for 2 categorical variables", 'interact');
addPage_2('en/mixedModel', 'mixedModel7', "Inference for 2 categorical variables", 'interact');
addPage_2('en/mixedModel', 'mixedModel8', "Mixtures of explanatory variable types", 'interact');
addSection('bk/regn', 'sec_catInteract', "Interactions");
addPage_2('en/catInteract', 'catInteract1', "Interaction between numerical variables", 'interact');
addPage_2('en/catInteract', 'catInteract2', "Numerical-categorical interaction", 'interact');
addPage_2('en/catInteract', 'catInteract3', "Inference for num-cat interaction", 'interact');
addPage_2('en/catInteract', 'catInteract4', "Interaction between categorical variables", 'interact');
addPage_2('en/catInteract', 'catInteract5', "Inference for categorical interaction", 'interact');
addPage_2('en/catInteract', 'catInteract6', "Interactions with several variables", 'interact');
addSection('bk/regn', 'sec_lackOfFit', "Goodness-of-fit and pure error");
addPage_2('en/lackOfFit', 'lackOfFit1', "Modelling nonlinearity with g groups", 'interact');
addPage_2('en/lackOfFit', 'lackOfFit2', "Understanding the sums of squares", 'interact');
addPage_2('en/lackOfFit', 'lackOfFit3', "Test for linearity", 'static');
addPage_2('en/lackOfFit', 'lackOfFit4', "Contrasts for testing linearity", 'interact');
addPage_2('en/lackOfFit', 'lackOfFit5', "Comparison of tests", 'interact');
addPage_2('en/lackOfFit', 'lackOfFit6', "Goodness-of-fit for other models", 'interact');

addChapter('bk/regn', 'ch_anovaTheory', "Anova Theory (Advanced)");
addSection('bk/regn', 'sec_ssq', "Distribution of variance");
addPage_2('en/ssq', 'ssq1', "Distribution of Z-squared", 'interact');
addPage_2('en/ssq', 'ssq2', "Sums of squares", 'interact');
addPage_2('en/ssq', 'ssq3', "Sum of squares about sample mean", 'interact');
addPage_2('en/ssq', 'ssq4', "Sums of squares tables", 'interact');
addPage_2('en/ssq', 'ssq5', "Ratio of variances and F distribution", 'interact');
addPage_2('en/ssq', 'ssq6', "Overview of analysis of variance", 'static');
addPage_2('en/ssq', 'ssq7', "Summary of anova distributions", 'static');
addSection('bk/regn', 'sec_varianceInf', "Inference for variances (optional)");
addPage_2('en/varianceInf', 'varianceInf1', "Confidence interval for the variance", 'interact');
addPage_2('en/varianceInf', 'varianceInf2', "Properties of the confidence interval", 'interact');
addPage_2('en/varianceInf', 'varianceInf3', "Warning about CI for variance", 'interact');
addPage_2('en/varianceInf', 'varianceInf4', "Independence of mean and variance", 'interact');
addPage_2('en/varianceInf', 'varianceInf5', "Model and hypotheses", 'interact');
addPage_2('en/varianceInf', 'varianceInf6', "Test statistic", 'interact');
addPage_2('en/varianceInf', 'varianceInf7', "F test", 'static');
addSection('bk/regn', 'sec_simpleAnova', "Anova in simple settings (optional)");
addPage_2('en/simpleAnova', 'simpleAnova1', "Different approach to testing mean", 'interact');
addPage_2('en/simpleAnova', 'simpleAnova2', "P-value for F test", 'interact');
addPage_2('en/simpleAnova', 'simpleAnova3', "Equivalence of F and t tests", 'static');
addPage_2('en/simpleAnova', 'simpleAnova4', "Components sums of squares for two groups", 'interact');
addPage_2('en/simpleAnova', 'simpleAnova5', "Testing for equal  group variance", 'interact');
addSection('bk/regn', 'sec_regnAnovaDist', "Simple linear models");
addPage_2('en/regnAnovaDist', 'regnAnovaDist1', "Distributions of sums of squares", 'interact');
addPage_2('en/regnAnovaDist', 'regnAnovaDist2', "F ratio", 'interact');
addPage_2('en/regnAnovaDist', 'regnAnovaDist3', "Analysis of variance test", 'interact');
addSection('bk/regn', 'sec_moreAnovaDist', "Sums of squares for other models");
addPage_2('en/moreAnovaDist', 'moreAnovaDist1', "Sums of squares and degrees of freedom", 'static');
addPage_2('en/moreAnovaDist', 'moreAnovaDist2', "Distributions of sums of squares", 'interact');
addPage_2('en/moreAnovaDist', 'moreAnovaDist3', "Distribution of quadratic ssq", 'interact');
addPage_2('en/moreAnovaDist', 'moreAnovaDist4', "Theory behind anova test", 'interact');
addPage_2('en/moreAnovaDist', 'moreAnovaDist5', "Theory behind anova test (advanced)", 'interact');

var language = "en";
var logoGif = null;
var homeDir = "bk/regn";
var versionGif = "images/castRegn";
var isLecturingVersion = false;
var isModule = false;
var hasSummaries = false;
var hasVideos = false;
var summaryPdfUrl = null;
var castWebServerUrl = "http://cast.massey.ac.nz";
var noOfChapters = "6";

var localVideos = false;

var fullTextString = 'Full';
var summaryTextString = 'In brief';
var videoTextString = 'Video';
var appletTextString = 'Full';
fullTabTooltip = 'Full text version of page';
summaryTabTooltip = 'Summarised version of page';
videoTabTooltip = 'Version of page with videos';
appletTabTooltip = 'Full text version of page with interaction';
var chapterString = 'Chapter';

var versionName = {'_g': 'General', '_c': 'Business', '_b': 'Biometric', '++': 'Custom', '_o': 'Official stats'};
var versions = {};
versions['relationship1'] = new Array('_g', '_c');
versions['correlation1'] = new Array('_g', '_b', '_c');
versions['relationship3'] = new Array('_g', '_c');
versions['relationship4'] = new Array('_g', '_c');
versions['causal1'] = new Array('_g', '_b', '_c');
versions['causal2'] = new Array('_g', '_c');
versions['causal3'] = new Array('_g', '_b', '_c');
versions['causal4'] = new Array('_g', '_b', '_c');
versions['causal5'] = new Array('_g', '_c');
versions['leastSqrs1'] = new Array('_g', '_b', '_c');
versions['leastSqrs3'] = new Array('_g', '_c');
versions['leastSqrs6'] = new Array('_g', '_c');
versions['leastSqrs7'] = new Array('_g', '_c');
versions['regnModel1'] = new Array('_g', '_b', '_c');
versions['regnModel2'] = new Array('_g', '_c');
versions['regnModel5'] = new Array('_g', '_b', '_c');
versions['regnEst1'] = new Array('_g', '_c');
versions['regnEst2'] = new Array('_g', '_c');
versions['regnEst4'] = new Array('_g', '_c');
versions['regnEst5'] = new Array('_g', '_c');
versions['regnTest1'] = new Array('_g', '_c');
versions['regnTest2'] = new Array('_g', '_c');
versions['regnPred1'] = new Array('_g', '_b', '_c');
versions['regnPred3'] = new Array('_g', '_b', '_c');
versions['regnPred4'] = new Array('_g', '_b');
versions['regnProblem3'] = new Array('_g', '_b');
versions['regnProblem4'] = new Array('_g', '_c');
versions['regnProblem6'] = new Array('+g', '_g', '_c');
versions['structures3'] = new Array('_g', '_c', '_o');

bookLoaded = true;
