startExercise("exerciseGroupsProg.MatchAnovaFormulaeApplet", 610, 700);
addCoreParam("r2Text", "... is the proportion of variation in response explained by factor.");
addCoreParam("msTotalText", "... describes the overall variance of response.");
addCoreParam("msWithinText", "... describes the variation of response after taking account of variation caused by factor.");
addCoreParam("fText", "... contains most of the information about whether or not factor affects response.");

addVariation("wheatVariety", "The Anova table above summarises information from an experiment that examines whether the yield of wheat is different for different varieties.\\nMatch the following four formulae with the textual descriptions on their right.", "response(wheat yields)#factor(the variety)", null, 0);
addVariation("teachingMethod", "A group of 40 students was randomly split into four groups of ten. The four groups were taught a maths topic by four different methods then all students were given the same test. The Anova table above would summarise the results.\\nMatch the following four formulae with the textual descriptions on their right.", "response(the test mark)#factor(the teaching method)", null, 0);
addVariation("surfaceFinish", "Twelve items were produced on a lathe at each of three different lathe speeds. An Anova table such as the one above summarises how the lathe speed affects the surface finish of the items.\\nMatch the following four formulae with the textual descriptions on their right.", "response(surface finish)#factor(the lathe speed)", null, 0);

//----------------------------------------------

startExercise("exerciseGroupsProg.AnovaSummariesApplet", 600, 750);
addCoreParam("residSdText", "The best estimate of the standard deviation of #yVarName# for #individuals# #groupName# is #edit#.");
addCoreParam("rSquaredText", "A percentage #edit#% of variation in #yVarName# is explained by differences in #xVarName#.");
addCoreParam("totalSdText", "If differences between levels of #xVarName# are ignored, the overall standard deviation of #yVarName# is #edit#.");
addCoreParam("individualsText", "The total number of #individuals# from which #yVarName# was measured was #edit#.");
addCoreParam("factorLevelsText", "The total number of levels of #xVarName# used in the experiment was #edit#.");

addVariation("wheatVariety", "An experiment was conducted to assess how different varieties of wheat affect yield. A field was split into plots of equal area and the varieties were randomly allocated to #individuals(plots)# with the resulting yield of wheat recorded in tonnes per hectare from each plot.\\nThe Anova table below summarises the results. Use the information in it to complete the five statements underneath.", "yVarName(the yield of wheat)#xVarName(wheat variety)#levelIndex[](0,1,2)#xNames[levelIndex](getting_Variety_A getting_Variety_B*getting_Variety_A getting_Variety_B getting_Variety_C*getting_Variety_A getting_Variety_B getting_Variety_C getting_Variety_D)#xValues[levelIndex](10@0 10@1*6@0 6@1 6@2*6@0 6@1 6@2 6@3)#yModel[](3 0.2 3.1 0.2 3.2 0.2 3.3 0.2*2.8 0.2 3.0 0.2 3.2 0.2 3.4 0.2)#componentNames(Total*Between varieties*Within varieties)#maxSsq(9.999)#maxMss(9.999)#maxF(999.99)#maxRSquared(9.999)#sdDecimals(3)", null, 0);
addVariation("fibreStrength", "A new synthetic fibre is being developed and an experiment is conducted to assess its tensile strength when combined with various percentages of cotton. The experiment concentrated on a few different cotton percentages and several #individuals(batches of fibre)# were produced and tested at each of these percentages, with #yVarName(the tensile strength)# of each batch measured.\\nThe Anova table below summarises the results. Use the information in it to complete the five statements underneath.", "xVarName(percentage of cotton)#levelIndex[](0,1,2)#xNames[levelIndex](with_10%_cotton with_20%_cotton*with_10%_cotton with_20%_cotton with_30%_cotton*with_10%_cotton with_20%_cotton with_30%_cotton with_40%_cotton)#xValues[levelIndex](10@0 10@1*6@0 6@1 6@2*6@0 6@1 6@2 6@3)#yModel[](10 1.5 11 1.5 12 1.5 13 1.5*10 1 11 1 12 1 13 1)#componentNames(Total*Between groups*Within groups)#maxSsq(999.99)#maxMss(99.999)#maxF(999.99)#maxRSquared(9.999)#sdDecimals(3)", null, 0);
addVariation("boneDensity", "Patients suffering from rheumatic diseases or osteoporosis often suffer critical losses in bone mineral density (BMD) and alendronate is a medication often prescribed to counteract this. The change in BMD over a fixed period for a group of #individuals(patients)# with rheumatoid arthritis was recorded, as was this variable for other groups of patients with other diseases, such as those with Lupus.\\nThe Anova table below summarises the results. Use the information in it to complete the five statements underneath.", "yVarName(the change in BMD)#xVarName(disease group)#levelIndex[](0,1,2)#xNames[levelIndex](with_rheumatoid_arthritis with_lupus*with_rheumatoid_arthritis with_lupus with_vasculitic_diseases*with_rheumatoid_arthritis with_lupus with_vasculitic_diseases with_osteoarthritis)#xValues[levelIndex](30@0 30@1*25@0 25@1 25@2*20@0 20@1 20@2 20@3)#yModel[](10 5 11 5 12 5 13 5*10 5 12 5 14 5 16 5)#componentNames(Total*Between diseases*Within diseases)#maxSsq(999.99)#maxMss(99.999)#maxF(999.99)#maxRSquared(9.999)#sdDecimals(3)", null, 0);

//----------------------------------------------

startExercise("exerciseGroupsProg.AnovaConclusionApplet", 600, 550);
addCoreParam("noneEqual", "none of #means are equal#");
addCoreParam("atLeastTwoDiff", "at least two of #means are different#");
addCoreParam("allEqual", "all of #means are equal#");
addCoreParam("atLeastTwoEqual", "at least two of #means are equal#");

addVariation("wheatVariety", "An experiment was conducted to assess how different varieties of wheat affect yield. A field was split into plots of equal area and the varieties were randomly allocated to plots with the resulting yield of wheat recorded in tonnes per hectare from each plot.\\nThe Anova table below summarises the results. What are your conclusions from it?", "yVarName(the yield of wheat)#xVarName(wheat variety)#levelIndex[](0,1,2)#xNames[levelIndex](getting_Variety_A getting_Variety_B*getting_Variety_A getting_Variety_B getting_Variety_C*getting_Variety_A getting_Variety_B getting_Variety_C getting_Variety_D)#xValues[levelIndex](10@0 10@1*6@0 6@1 6@2*6@0 6@1 6@2 6@3)#yModel[](3 0.2 3.1 0.2 3.2 0.2 3.3 0.2*2.8 0.2 3.0 0.2 3.2 0.2 3.4 0.2)#componentNames(Total*Between varieties*Within varieties)#maxSsq(9.999)#maxMss(9.999)#maxF(999.99)#maxRSquared(9.999)#equalMeans(the mean yields for varieties are the same)#differentMeans(the mean yields for varieties are different)", null, 0);
addVariation("fibreStrength", "A new synthetic fibre is being developed and an experiment is conducted to assess its tensile strength when combined with various percentages of cotton. The experiment concentrated on a few different cotton percentages and several batches of fibre were produced and tested at each of these percentages, with #yVarName(the tensile strength)# of each batch measured.\nThe Anova table below summarises the results. What are your conclusions from it?", "xVarName(percentage of cotton)#levelIndex[](0,1,2)#xNames[levelIndex](with_10%_cotton with_20%_cotton*with_10%_cotton with_20%_cotton with_30%_cotton*with_10%_cotton with_20%_cotton with_30%_cotton with_40%_cotton)#xValues[levelIndex](10@0 10@1*6@0 6@1 6@2*6@0 6@1 6@2 6@3)#yModel[](10 1.5 11 1.5 12 1.5 13 1.5*10 1 11 1 12 1 13 1)#componentNames(Total*Between groups*Within groups)#maxSsq(999.99)#maxMss(99.999)#maxF(999.99)#maxRSquared(9.999)#equalMeans(the cotton percents have the same mean strength)#differentMeans(the cotton percents have different mean strengths)", null, 0);
addVariation("boneDensity", "Patients suffering from rheumatic diseases or osteoporosis often suffer critical losses in bone mineral density (BMD) and alendronate is a medication often prescribed to counteract this. The change in BMD over a fixed period for a group of patients with rheumatoid arthritis was recorded, as was this variable for other groups of patients with other diseases, such as those with Lupus.\nThe Anova table below summarises the results. What are your conclusions from it?", "yVarName(the change in BMD)#xVarName(disease group)#levelIndex[](0,1,2)#xNames[levelIndex](with_rheumatoid_arthritis with_lupus*with_rheumatoid_arthritis with_lupus with_vasculitic_diseases*with_rheumatoid_arthritis with_lupus with_vasculitic_diseases with_osteoarthritis)#xValues[levelIndex](30@0 30@1*25@0 25@1 25@2*20@0 20@1 20@2 20@3)#yModel[](10 5 11 5 12 5 13 5*10 5 12 5 14 5 16 5)#componentNames(Total*Between diseases*Within diseases)#maxSsq(999.99)#maxMss(99.999)#maxF(999.99)#maxRSquared(9.999)#equalMeans(the diseases have the same mean drop in BMD)#differentMeans(the diseases have different mean drops in BMD)", null, 0);

//----------------------------------------------

