startExercise("exerciseBivarProg.ExplanResponseApplet", 450, 500);

addVariation("bodyFat", "A scientist records the weight and percentage body fat from a sample of 50 children of different ages with the aim of predicting body fat from weight.", "explanatory(Weight)#response(Body fat)#experimental(false)#causal(false)#message(Based on data of this kind, it may be possible to conclude that body fat is causally related to weight.)#errorCausal(Although physiology suggests that increases in body fat would result in increased weight, both variables may increase with age so any correlation between them could potentially result from the varying age of the children.)#answer(We are interested in predicting body fat, so that is the response.\nSince we have no control over the weights of the sampled men, the data are observational.\nAlthough weight may be a good predictor of body fat, the data do not allow us to conclude that changing a person's weight will affect their body fat.)", null, 0);
addVariation("tomatoes", "A scientist takes 50 tomato seedlings and randomly applies one of five different amounts of fertiliser to each seedling. The weight of tomatoes harvested from each plant was recorded.", "explanatory(Fertiliser)#response(Tomato weight)#experimental(true)#causal(true)#message(If tomato weight and fertiliser are strongly correlated, it is possible to conclude that tomato weight depends on the amount of fertiliser used.)#errorCausal(Since this is an experiment, it is possible for fertiliser to affect weight but not the reverse.)#answer(The experimenter controlled the amount of fertiliser so that is the explanatory variable.\nFor the same reason, the data are experimental.\nSince the data arise from a well designed experiment, we can conclude that the changes in yield result from changes in the amount of fertiliser.)", null, 0);
addVariation("cotton", "A researcher sampled 20 farms in a cotton-growing region, each of which had similar sandy loam soil. Each farmer supplied information about the amount of irrigation water and the yield of cotton in kg per hectare.", "explanatory(Irrigation)#response(Cotton yield)#experimental(false)#causal(false)#message(The researcher could use this information to make recommendations to farmers about the best level of irrigation to use.)#errorCausal(There are likely to be differences between the growing conditions in the different farms and it is possible that farmers with poor growing conditions use less or more irrigation, making the relationship seem stronger or weaker.)#answer(The researcher would be interested in predicting yield, so it is the response.\nSince neither variable is under the control of the researcher, the data are observational.\nIt would be impossible to use the data to predict the effect of changing irrigation in a farm since sampled farms that use irrigation may have better growing conditions too.)", null, 0);
addVariation("cotton2", "A researcher sampled 20 fields in a cotton-growing region, each of which had similar sandy loam soil. Different fields were irrigated with randomly chosen amounts of water and the amount of irrigation water and the yield of cotton in kg per hectare were recorded.", "explanatory(Irrigation)#response(Cotton yield)#experimental(true)#causal(true)#message(The researcher could use this information to make recommendations to farmers about the best level of irrigation to use.)#errorCausal(The data are experimental, so any relationship between irrigation and yield is causal.)#answer(The researcher would be interested in predicting yield, so it is the response.\nSince irrigation is controlled by the researcher, the data are experimental.\nThe data would allow you to predict the effect of changing irrigation since it is a well-designed experiment.)", null, 0);
addVariation("membership", "A board member in a football club collected data about the number of club members and the average crowd size at home games each year from 1985 to 2008. He hoped to persuade the board that a membership drive would improve attendance at home games.", "explanatory(Club membership)#response(Crowd size)#experimental(false)#causal(false)#message(It is possible to use the data to predict the effect of increasing club membership.)#errorCausal(The data are observational and any apparent relationship could be a result of differing performance of the team -- when the team does well, both variables increase.)#answer(The board member wants to predicting crowd size, so it is the response.\nNeither variable is controlled so the data are observational.\nSince higher crowd size is likely to be correlated with team performance as well as club membership, the data do not allow prediction of the effect of changing club membership on its own so the relationship is not causal.)", null, 0);
addVariation("studentMarks", "After a test, lecturer asked each student in a statistics class about the number of hours of study in the subject during the week prior to the test.", "explanatory(Study time)#response(Exam mark)#experimental(false)#causal(false)#message(The lecturer can use the data to show the students how many extra marks they can get by studying more.)#errorCausal(It is possible that better students also spend more time studying. Any apparent relationship could be simply the result of varying ability levels with no students benefiting from studying before the test.)#answer(The lecturer wants to predict test marks, so that is the response.\nNeither variable is controlled so the data are observational.\nSince both test marks and the amount of studying could both be higher for better students, it is possible that the two variables could be correlated even if studying did not actually improve any student's mark. The data cannot therefore be used to predict the effect of studying more.)", null, 0);
addVariation("concrete", "A civil engineer manufactures 20 concrete slabs with varying amounts of cement in the mixture. Each slab is tested for hardness by dropping a pointed weight on it several times and recording the amount of material chipped off.", "explanatory(Cement)#response(Hardness)#experimental(true)#causal(true)#message(The engineer can use the data to predict the hardness of other slabs from the amount of cement in their concrete mixture.)#errorCausal(Since the data are experimental, it is possible to conclude that the hardness depends on the amount of cement in the concrete.)#answer(The engineer controlled the amount of cement in the mixture, so it is the response.\nFor the same reason, the data are experimental.\nSince the data arise from a well designed experiment, we can conclude that any differences in hardness are caused by the amount of cement in the mixture so the relationship can be used to predict hardness of other slabs.)", null, 0);

//----------------------------------------------

startExercise("exerciseBivarProg.SketchLineApplet", 500, 680);

addVariation("leaves", "The equation below describes the relationship between the width and length of leaves of a species. Draw the line that represents this equation.", "xVarName(Length)#xAxis(10 30 10 5)#yVarName(Width)#yAxis(5_10_5_0.5 8_14_8_1 12_20_12_1)#axisLabels(5_to_10 8_to_14 12_to_20)#correctYAxis(0:2)#yPropnAtLowX(0:0.400)#yPropnAtHighX(0.600:1)#interceptDecimals(1)#slopeDecimals(3)", null, 0);
addVariation("latheFinish", "The equation below describes how the surface finish of a component manufactured on a lathe depends on its rotation speed (rpm). Draw the line that represents this equation.", "xVarName(RPM)#xAxis(200 300 200 20)#yVarName(Finish)#yAxis(40_50_40_1 45_55_45_1 50_60_50_1)#axisLabels(40_to_50 45_to_55 50_to_60)#correctYAxis(0:2)#yPropnAtLowX(0.600:1)#yPropnAtHighX(0:0.400)#interceptDecimals(2)#slopeDecimals(4)", null, 0);
addVariation("sharePrice", "The following equation summarises the how the share price of a company is affected by the price of crude oil. Draw the line that represents this equation.", "xVarName(Crude oil price)#xAxis(100 200 100 20)#yVarName(Share price)#yAxis(20_60_20_5 50_100_50_5 100_200_100_10)#axisLabels(20_to_60 50_to_100 100_to_200)#correctYAxis(0:2)#yPropnAtLowX(0:0.400)#yPropnAtHighX(0.600:1)#interceptDecimals(1)#slopeDecimals(3)", null, 0);

//----------------------------------------------

startExercise("exerciseBivarProg.SlopeInterceptGuessApplet", 500, 600);

addVariation("simple1", "The line drawn below describes the relationship between two variables X and Y. What is its equation?", "xVarName(X)#xAxis[](-0.1 1.1 0 0.2*-0.2 3.2 0 0.5*-0.3 5 0 1)#yVarName(Y)#yAxis[](0 5 0 1*2 4 2 0.5*5 15 5 1)#yDecimals(2)#yPropnAtLowX(0:0.400)#yPropnAtHighX(0.600:1)#interceptDecimals(2)#slopeDecimals(2)", null, 0);
addVariation("simple2", "The line drawn below describes the relationship between two variables X and Y. What is its equation?", "xVarName(X)#xAxis[](-0.1 1.1 0 0.2*-0.2 3.2 0 0.5*-0.3 5 0 1)#yVarName(Y)#yAxis[](0 5 0 1*2 4 2 0.5*5 15 5 1)#yDecimals(2)#yPropnAtLowX(0.600:1)#yPropnAtHighX(0:0.400)#interceptDecimals(2)#slopeDecimals(2)", null, 0);

//----------------------------------------------

startExercise("exerciseBivarProg.SlopeInterceptHarderApplet", 500, 710);

addVariation("leaves", "The scatterplot below shows the widths and lengths of a sample of #sampleSize[](20,40,50)# leaves. The least squares line is shown in blue. What is its equation?", "xVarName(Width)#xAxis[](3.9 6.1 4 0.5*6.8 10.2 7 0.5*2.8 8.2 3 1)#yVarName(Length)#yAxis[](0 5 0 1*2 4 2 0.5*5 15 5 1)#yDecimals(2)#yPropnAtLowX(0:0.400)#yPropnAtHighX(0.600:1)#interceptDecimals(2)#slopeDecimals(2)", null, 0);
addVariation("leaves2", "The scatterplot below shows the widths and lengths of a sample of #sampleSize[](20,40,50)# leaves. The least squares line is shown in blue. What is its equation?", "xVarName(Width)#xAxis[](3.9 6.1 4 0.5*6.8 10.2 7 0.5*2.8 8.2 3 1)#yVarName(Length)#yAxis[](0 5 0 1*2 4 2 0.5*5 15 5 1)#yDecimals(2)#yPropnAtLowX(0.600:1)#yPropnAtHighX(0:0.400)#interceptDecimals(2)#slopeDecimals(2)", null, 0);
addVariation("strengthSoftness", "A sample of #sampleSize[](20,40,50)# fabric squares were manufactured and the scatterplot below shows their strength and softness. The least squares line is shown in blue. What is its equation?", "xVarName(Strength)#xAxis[](39 51 40 2*68 102 70 5*28 82 30 10)#yVarName(Softness)#yAxis[](0 50 0 10*20 40 20 5*50 150 50 10)#yDecimals(1)#yPropnAtLowX(0:0.400)#yPropnAtHighX(0.600:1)#interceptDecimals(1)#slopeDecimals(2)", null, 0);
addVariation("strengthSoftness2", "A sample of #sampleSize[](20,40,50)# fabric squares were manufactured and the scatterplot below shows their strength and softness. The least squares line is shown in blue. What is its equation?", "xVarName(Strength)#xAxis[](39 51 40 2*68 102 70 5*28 82 30 10)#yVarName(Softness)#yAxis[](0 50 0 10*20 40 20 5*50 150 50 10)#yDecimals(1)#yPropnAtLowX(0.600:1)#yPropnAtHighX(0:0.400)#interceptDecimals(1)#slopeDecimals(2)", null, 0);

//----------------------------------------------

startExercise("exerciseBivarProg.BetaInterpInterpApplet", 500, 600);

addVariation("markStudy", "All students in a class was asked how many hours they had studied before a Statistics test.\\nThe least squares line below describes the relationship between the mean exam mark and the hours of study. Which of the following statements would be the best interpretation of the parameters?", "slope(0.10:0.30)#intercept(3.0:6.0)#xVarName(study)#yVarName(mark)#qnParam(0:1)#paramOrder(0:1)#qnText(A_student_who_studies_1_hour_more_than_another_is_expected_to_get_%%_more_marks_in_the_test. A_student_who_gets_one_more_mark_than_another_in_the_test_is_expected_to_have_studied_for_%%_more_hours. A_student_who_did_not_study_would_be_expected_to_get_%%_marks_in_the_test. A_student_who_got_zero_marks_in_the_test_is_expected_to_have_studied_for_%%_hours.)", null, 0);
addVariation("markStudy2", "All students in a class was asked how many hours they had studied before a Statistics test.\\nThe least squares line below describes the relationship between the mean hours of study and the exam mark. Which of the following statements would be the best interpretation of the parameters?", "slope(0.50:2.00)#intercept(10.0:30.0)#xVarName(mark)#yVarName(study)#qnParam(0:1)#paramOrder(0:1)#qnText(A_student_who_gets_one_more_mark_than_another_in_the_test_is_expected_to_have_studied_for_%%_more_hours. A_student_who_studies_1_hour_more_than_another_is_expected_to_get_%%_more_marks_in_the_test. A_student_who_got_zero_marks_in_the_test_is_expected_to_have_studied_for_%%_hours. A_student_who_did_not_study_would_be_expected_to_get_%%_marks_in_the_test.)", null, 0);
addVariation("computerUse", "A survey was conducted in which 200 adults were asked to report the number of hours per week that they spent on a computer and their number of years of education.\\nThe least squares line below describes the relationship between the mean computer hours and years of education. Which of the following statements would be the best interpretation of the parameters?", "slope(0.50:1.00)#intercept(8.0:12.0)#xVarName(education)#yVarName(computers)#qnParam(0:1)#paramOrder(0:1)#qnText(An_adult_who_has_1_more_year_of_education_than_another_is_expected_to_spend_%%_more_hours_per_week_on_a_computer. An_adult_who_spends_1_more_hour_per_week_on_a_computer_than_another_is_expected_to_have_had_%%_more_years_of_education. An_adult_who_has_had_no_years_of_education_would_be_expected_to_spend_%%_hours_per_week_on_a_computer. An_adult_who_spends_no_hours_per_week_on_a_computer_is_expected_to_had_%%_years_of_education.)", null, 0);
addVariation("computerUse2", "A survey was conducted in which 200 adults were asked to report the number of hours per week that they spent on a computer and their number of years of education.\\nThe least squares line below describes the relationship between the years of education and the mean computer hours. Which of the following statements would be the best interpretation of the parameters?", "slope(1.00:2.00)#intercept(4.0:8.0)#xVarName(computers)#yVarName(education)#qnParam(0:1)#paramOrder(0:1)#qnText(An_adult_who_spends_1_more_hour_per_week_on_a_computer_than_another_is_expected_to_have_had_%%_more_years_of_education. An_adult_who_has_1_more_year_of_education_than_another_is_expected_to_spend_%%_more_hours_per_week_on_a_computer. An_adult_who_spends_no_hours_per_week_on_a_computer_is_expected_to_had_%%_years_of_education. An_adult_who_has_had_no_years_of_education_would_be_expected_to_spend_%%_hours_per_week_on_a_computer.)", null, 0);

//----------------------------------------------

startExercise("exerciseBivarProg.FindResidualApplet", 500, 600);

addVariation("leaves", "A sample of #count[](20,50,100)# leaves was collected from a bush. The least squares line for predicting the width (mm) of the leaves from their lengths (mm) is drawn on the scatterplot of their widths and lengths.\\nWhat is the residual for the selected leaf?", "index(0:2)#xVarName(Length)#xAxis[index](10 30 10 5*60 100 60 10*100 200 100 20)#yVarName(Width)#yAxis[index](5 15 6 2*30 50 30 5*50 100 50 10)#corr[](-0.9,-0.7,-0.5,-0.3,0.3,0.5,0.7,0.8)#decimals[index](2,2,1)", null, 0);
addVariation("tomatoes", "Researchers measured the weight (gm) and sugar content (%) of a sample of #count[](20,50,100)# tomatoes of one variety. A least squares line was fitted to predict sugar content from weight.\\nWhat is the residual for the selected tomato?", "xVarName(Weight)#xAxis[](150 250 160 20*100 200 100 20)#yVarName(Sugar)#yAxis(2.5 3.5 2.6 0.2)#corr[](-0.9,-0.7,-0.5,-0.3,0.3,0.5,0.7,0.8)#decimals(2)", null, 0);

//----------------------------------------------

startExercise("exerciseBivarProg.ResidualPlotApplet", 500, 750);

addVariation("generic", "Which of the four scatterplots below is the correct residual plot after a linear model is fitted to the data on the right?", "xVarName(Explanatory variable, X)#xAxis(10 20 10 2)#yVarName(Response, Y)#yAxis(0 20 0 5)#residAxis(-12 12 -10 5)#count[](50,100)", null, 0);

//----------------------------------------------

startExercise("exerciseBivarProg.FindPredictionApplet", 470, 640);

addVariation("leaves", "A sample of #count[](20,50,100)# leaves was collected from a bush. The least squares line showing the relationship between leaf width (mm) and length (mm) is shown above their scatterplot.\nPredict the width of a leaf whose length is #xValue(10:35)# mm.", "xVarName(Length)#xAxis(10 35 10 5)#yVarName(Width)#yAxis(5 17 6 2)#corr[](-0.9,-0.8,-0.7,-0.5,-0.3,0.3,0.5,0.7,0.8,0.9)#decimals(2)#interceptDecimals(1)#slopeDecimals(2)", null, 0);
addVariation("tomatoes", "Researchers measured the weight (gm) and sugar content (%) of a sample of #count[](20,50,100)# tomatoes of one variety. The least squares line is shown above the scatterplot of the data.\nPredict the sugar content of a tomato whose weight is #xValue(150:200)# gm.", "xVarName(Weight)#xAxis(150 250 160 20)#yVarName(Sugar)#yAxis(2.5 3.7 2.6 0.2)#corr[](-0.9,-0.8,-0.7,-0.5,-0.3,0.3,0.5,0.7,0.8,0.9)#decimals(3)#interceptDecimals(1)#slopeDecimals(3)", null, 0);

//----------------------------------------------

