startExercise("exerciseRegnProg.ResponseDistnApplet", 500, 550);

addVariation("mammalWtLength", "The weight of a small mammal (in grams) is related to its body length (in mm) by a normal linear model*eqn*where the error, #epsilon#, has a normal distribution with mean zero and standard deviation #errorSd# grams.\\nWhat is the distribution of #yName# for mammals whose length is known to be #x0# mm?", "yName(Weight)#xName(Length)#intercept[](500,600,700,800,900,1000)#slope(1.0:2.0)#errorSd[](40,50,60,70,80,90,100)#x0[](200,250,300,350,400)#maxMean(9999)#meanSlop(0.5)#sdSlop(0.1)", null, 0);
addVariation("surfaceFinish", "The surface finish of a manufactured plastic component is related to the temperature (in #degrees#C) at which it is cured by a linear model*eqn*where #epsilon# is normally distributed with zero mean and standard deviation #errorSd#.\\nWhat is the distribution of #yName# for components cured at #x0##degrees#C?", "yName(Finish)#xName(Temperature)#intercept(20:40)#slope(-0.10:0.10)#errorSd(3:6)#x0[](70,80,90,100)#maxMean(99.99)#meanSlop(0.05)#sdSlop(0.01)", null, 0);
addVariation("carSatisfaction", "The reported satisfaction of purchasers of new cars after owning the car for a year (on a scale of 0 to 100) is related to the purchase price (in $000) with the following linear model*eqn*where #epsilon# is normally distributed with zero mean and standard deviation #errorSd#.\\nWhat is the distribution of the #yName# for purchasers of cars costing $#x0#,000?", "yName(Satisfaction)#xName(Price)#intercept(80:90)#slope(-0.20:0.20)#errorSd(1:2)#x0[](15,20,25,30,35)#maxMean(99.99)#meanSlop(0.05)#sdSlop(0.01)", null, 0);

//----------------------------------------------

startExercise("exerciseRegnProg.EffectOnAccuracyApplet", 500, 500);

addVariation("slopeWording", "Which of the following would result in the least squares slope being a more accurate estimator of the slope of the true relationship between a linear model's response and explanatory variable, X?", "nDirection(0:1)#nText[nDirection](A bigger sample size*A smaller sample size)#sigmaDirection(0:1)#sigmaText[sigmaDirection](The scatterplot crosses of the data being closer to the least squares line*The scatterplot crosses of the data being further above and below the least squares line)#xSpreadDirection(0:1)#xSpreadText[xSpreadDirection](Values of X being further apart*Values of X being closer to each other)", null, 0);
addVariation("unitChangeWording", "Which of the following would result in the least squares slope being a more accurate estimator of how much a unit change in the explanatory variable will affect the response?", "nDirection(0:1)#nText[nDirection](A bigger sample size*A smaller sample size)#sigmaDirection(0:1)#sigmaText[sigmaDirection](The scatterplot crosses of the data being closer to the least squares line*The scatterplot crosses of the data being further above and below the least squares line)#xSpreadDirection(0:1)#xSpreadText[xSpreadDirection](Values of the explanatory variable being further apart*Values of the explanatory variable being closer to each other)", null, 0);

//----------------------------------------------

startExercise("exerciseRegnProg.SlopeStdErrorApplet", 600, 650);

addVariation("leaves", "A sample of #count[](20,50,100)# leaves was collected from a bush. The least squares line for predicting the width (mm) of the leaves from their lengths (mm) is drawn on the scatterplot of their widths and lengths.\\nHow close do you expect the least squares slope to be to the underlying relationship's slope (with about 95% probability)?", "index(0:2)#xVarName(Length)#xAxis[index](10 30 10 5*60 100 60 10*100 200 100 20)#yVarName(Width)#yAxis[index](5 15 6 2*30 50 30 5*50 100 50 10)#corr[](-0.9,-0.7,-0.5,-0.3,0.3,0.5,0.7,0.8)#decimals[index](4,4,4)#interceptDecimals[index](2,1,1)#slopeDecimals[index](3,3,3)#answerSlop(0.001)#maxSe(9.9999)", null, 0);
addVariation("tomatoes", "Researchers measured the weight (gm) and sugar content (%) of a sample of #count[](20,50,100)# tomatoes of one variety. A least squares line was fitted to predict sugar content from weight.\\nHow close do you expect the least squares slope to be to the underlying relationship's slope (with about 95% probability)?", "xVarName(Weight)#xAxis[](150 250 160 20*100 200 100 20)#yVarName(Sugar)#yAxis(2.5 3.5 2.6 0.2)#corr[](-0.9,-0.7,-0.5,-0.3,0.3,0.5,0.7,0.8)#decimals(2)#interceptDecimals(2)#slopeDecimals(4)#answerSlop(0.00002)#maxSe(9.99999)", null, 0);

//----------------------------------------------

startExercise("exerciseRegnProg.CiSlopeApplet", 600, 750);

addVariation("leaves", "A sample of #count[](20,50,100)# leaves was collected from a bush. The least squares line for predicting the width (mm) of the leaves from their lengths (mm) is drawn on the scatterplot of their widths and lengths.\\nFind a #ciLevel(:)#% confidence interval for the regression model's slope.", "index(0:2)#xVarName(Length)#xAxis[index](10 30 10 5*60 100 60 10*100 200 100 20)#yVarName(Width)#yAxis[index](5 15 6 2*30 50 30 5*50 100 50 10)#corr[](-0.9,-0.7,-0.5,-0.3,0.3,0.5,0.7,0.8)#interceptDecimals[index](2,1,1)#slopeDecimals[index](3,3,3)#maxParam(99.999)#maxSe(99.9999)#maxPlusMinus(9.999)", null, 0);
addVariation("tomatoes", "Researchers measured the weight (kg) and sugar content (%) of a sample of #count[](20,50,100)# tomatoes of one variety. A least squares line was fitted to predict sugar content from weight.\\nFind a #ciLevel(:)#% confidence interval for the regression model's slope", "xVarName(Weight)#xAxis[](0.15 0.25 0.16 0.02*0.1 0.2 0.1 0.02)#yVarName(Sugar)#yAxis(2.5 3.5 2.6 0.2)#corr[](-0.9,-0.7,-0.5,-0.3,0.3,0.5,0.7,0.8)#interceptDecimals(3)#slopeDecimals(2)#maxParam(99.99)#maxSe(9.9999)#maxPlusMinus(99.99)", null, 0);

//----------------------------------------------

startExercise("exerciseRegnProg.TestSlopeApplet", 600, 800);

addVariation("leaves", "A sample of #count# leaves was collected from a bush. The researchers were interested in whether the lengths and widths of the leaves are related and fitted a least squares line regressing the leaf lengths (response) against their widths (explanatory variable). The table below gives the least squares intercept and slope for this model, with their standard errors.\\nTest whether #?:string[tail](long leaves tend to be narrower*???*long leaves tend to be wider*???*the leaf lengths and widths are related)#.", "tail[](0,2,4)#count(10:30)#xMean(10:20)#yMean(20:40)#seSlope(0.100:0.200)#seIntercept(2.00:3.00)#slopeDecimals(3)#interceptDecimals(2)#slope(:)#conclusions(There_is_no_evidence_that There_is_only_weak_evidence_that There_is_moderately_strong_evidence_that There_is_very_strong_evidence_that It_is_almost_certain_that)#conclusionEnding[tail]( Long leaves tend to be Narrower*???* Long leaves tend to be Wider*???* Width and Length are related)", null, 0);
addVariation("tomatoes", "Researchers measured the weight (kg) and sugar content (%) of a sample of #count# tomatoes of one variety. A least squares line was fitted to the data to summarise how sugar content (response) was related to the tomato weight (explanatory variable). The table below gives the least squares intercept and slope for this model, with their standard errors.\\nTest whether #?:string[tail](heavier tomatoes tend to have lower sugar content*???*heavier tomatoes tend to have higher sugar content*???*sugar content is related to tomato weight)#.", "tail[](0,2,4)#count[](20,50,100)#xMean(0.150:0.250)#yMean(2.0)#seSlope(5.00:6.00)#seIntercept(0.100:0.200)#slopeDecimals(2)#interceptDecimals(3)#slope(:)#conclusions(There_is_no_evidence_that There_is_only_weak_evidence_that There_is_moderately_strong_evidence_that There_is_very_strong_evidence_that It_is_almost_certain_that)#conclusionEnding[tail]( heavier tomatoes have less sugar*???* heavier tomatoes have more sugar*???* sugar content is related to weight)", null, 0);
addVariation("mbaSalaries", "Information was found from a sample of #count# recent MBA graduates from a university. A regression model was used to examine how the monthly income ($) of the graduates was related to their heights (in). The table below gives the least squares intercept and slope for this model, with their standard errors.\\nTest whether #?:string[tail](taller graduates tend to earn less than shorter ones*???*taller graduates tend to earn more than shorter ones*???*the salaries are related to the student heights)#.", "tail[](0,2,4)#count(20:40)#xMean(67:73)#yMean(3000)#seSlope(10.0:20.0)#seIntercept(100:200)#slopeDecimals(1)#interceptDecimals(0)#slope(:)#conclusions(There_is_no_evidence_that There_is_only_weak_evidence_that There_is_moderately_strong_evidence_that There_is_very_strong_evidence_that It_is_almost_certain_that)#conclusionEnding[tail]( taller graduates tend to earn less*???* taller graduates tend to earn more*???* salary is related to height)", null, 0);

//----------------------------------------------

